<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
global $post;
$post_id = $post -> ID;
$wopgld_advance_option = get_post_meta( $post_id, 'wopgld_advance_option', true );
?>
<div class="wopgld-general-outer-wrap">
    <?php for ( $r = 1; $r <= 6; $r ++ ) { ?>
        <div class="wopgld-ribbon-outer-wrap">
            <div class="wopgld-post-option-wrap wopgld-extra-wrap">
                <div class="wopgld-down-wrap">
                    <label for="wopgld-ribbon-view-check" class="wopgld-ribbon-view">
                        <?php _e( 'Ribbon Position ' . $r, WOPGLD_TD ); ?>
                    </label>
                    <img src="<?php echo WOPGLD_IMG_DIR . '/demo/banner/' . $r . '.png' ?>">
                </div>
                <div class="wopgld-post-field-wrap">
                    <select name="wopgld_advance_option[individual_ribbon_<?php echo $r; ?>_template]" class="wopgld-indi-ribbon-template">
                        <option value="default" <?php if ( ! empty( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) ) selected( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ], 'default' ); ?>><?php _e( 'Default', WOPGLD_TD ) ?></option>
                        <?php
                        $wopgld_ind_ribbon_names = array( 'Gemstone template', 'Plain border template', 'Circular template', 'Testimony template', 'Bow template', 'Cathedra template', 'Mulberry template', 'Edge template' );
                        $irb = 1;
                        foreach ( $wopgld_ind_ribbon_names as $wopgld_ind_ribbon_name ) {
                            ?>
                            <option value="template-<?php echo $irb; ?>" <?php if ( ! empty( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) ) selected( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ], 'template-' . $irb ); ?>><?php echo $wopgld_ind_ribbon_name; ?></option>
                            <?php
                            $irb ++;
                        }
                        ?>
                        <option value="none" <?php if ( ! empty( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) ) selected( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ], 'none' ); ?>><?php _e( 'None', WOPGLD_TD ) ?></option>
                    </select>
                    <div class="wopgld-ribbon-demo wopgld-preview-image">
                        <?php
                        for ( $cnt = 1; $cnt <= 8; $cnt ++ ) {
                            $individual_ribbon = (isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) && $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] != '') ? esc_attr( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) : 'default';
                            if ( $individual_ribbon == 'default' || $individual_ribbon == 'none' ) {
                                $style = "style='display:none;'";
                            } else {
                                $option_value = $individual_ribbon;
                                $exploed_array = explode( '-', $option_value );
                                $cnt_num = $exploed_array[ 1 ];
                                if ( $cnt != $cnt_num ) {
                                    $style = "style='display:none;'";
                                } else {
                                    $style = '';
                                }
                            }
                            ?>
                            <div class="wopgld-ribbon-common" id="wopgld-ribbon-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                                <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                                <img src="<?php echo WOPGLD_IMG_DIR . '/demo/ribbons/ribbon' . $cnt . '.png' ?>"/>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <?php
            if ( isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) && $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] == 'default' ) {
                $inline_style = 'none';
            } else if ( ! isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) ) {
                $inline_style = 'none';
            } else if ( isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] ) && $wopgld_advance_option[ 'individual_ribbon_' . $r . '_template' ] == 'none' ) {
                $inline_style = 'none';
            } else {
                $inline_style = 'block';
            }
            ?>
            <div class="wopgld-ribbon-individual-settings" style="display: <?php echo $inline_style; ?>">
                <div class="wopgld-post-option-wrap">
                    <label for="wopgld-label" class="wopgld-label">
                        <?php _e( 'Ribbon Type', WOPGLD_TD ); ?>
                    </label>

                    <div class="wopgld-post-field-wrap">
                        <label><input type="radio" value="text" name="wopgld_advance_option[individual_ribbon_type_<?php echo $r; ?>]" <?php
                            if ( isset( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] ) ) {
                                checked( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ], 'text' );
                            }
                            ?> class="wopgld-ribbon-type"/><?php _e( "Text", WOPGLD_TD ); ?></label>
                        <label><input type="radio" value="icon" name="wopgld_advance_option[individual_ribbon_type_<?php echo $r; ?>]" <?php
                            if ( isset( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] ) ) {
                                checked( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ], 'icon' );
                            }
                            ?>  class="wopgld-ribbon-type"/><?php _e( 'Icon', WOPGLD_TD ); ?></label>
                        <div class="wopgld-ribbon-text-wrap" <?php if ( isset( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] ) && $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] == 'text' ) { ?> style="display: block;" <?php } else { ?> style="display: none;" <?php } ?>>
                            <input type="text" class="wopgld-ribbon-<?php echo $r; ?>-text" name="wopgld_advance_option[individual_ribbon_<?php echo $r; ?>_text]" value="<?php
                            if ( isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_text' ] ) ) {
                                echo esc_attr( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_text' ] );
                            }
                            ?>">
                        </div>
                        <div class="wopgld-ribbon-icon-wrap" <?php if ( isset( $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] ) && $wopgld_advance_option[ 'individual_ribbon_type_' . $r ] == 'icon' ) { ?> style="display: block;" <?php } else { ?> style="display: none;" <?php } ?>>
                            <input class="regular-text" type="hidden" id="wopgld_icon_<?php echo $r; ?>_picker_id" name="wopgld_advance_option[individual_ribbon_<?php echo $r; ?>_icon]" value="<?php
                            if ( isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_icon' ] ) ) {
                                echo esc_attr( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_icon' ] );
                            }
                            ?>"/>
                            <div id="preview_icon_picker_example_icon<?php echo $r; ?>" data-target="#wopgld_icon_<?php echo $r; ?>_picker_id" class="wopgld-icon-picker button icon-picker <?php
                                 if ( isset( $wopgld_advance_option[ 'individual_ribbon_' . $r . '_icon' ] ) ) {
                                     $v = explode( '|', $wopgld_advance_option[ 'individual_ribbon_' . $r . '_icon' ] );
                                     echo $v[ 0 ] . ' ' . $v[ 1 ];
                                 } else {
                                     echo esc_attr( 'dashicons dashicons-plus' );
                                 }
                                 ?>"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>