<?php

defined( 'ABSPATH' ) or die( "No script kiddies please!" );
$labels = array(
    'name' => _x( 'Product Grid/List Design', 'post type general name', WOPGLD_TD ),
    'singular_name' => _x( 'Product Grid/List Design', 'post type singular name', WOPGLD_TD ),
    'menu_name' => _x( 'Product Grid/List Design', 'admin menu', WOPGLD_TD ),
    'name_admin_bar' => _x( 'Product Grid/List Design', 'add new on admin bar', WOPGLD_TD ),
    'add_new' => _x( 'Add New', 'Product Grid/List Design', WOPGLD_TD ),
    'add_new_item' => __( 'Add New Product Grid/List Design', WOPGLD_TD ),
    'new_item' => __( 'New Product Grid/List Design', WOPGLD_TD ),
    'edit_item' => __( 'Edit Product Grid/List Design', WOPGLD_TD ),
    'view_item' => __( 'View Product Grid/List Design', WOPGLD_TD ),
    'all_items' => __( 'All Product Grid/List Design', WOPGLD_TD ),
    'search_items' => __( 'Search Product Grid/List Design', WOPGLD_TD ),
    'parent_item_colon' => __( 'Parent Product Grid/List Design:', WOPGLD_TD ),
    'not_found' => __( 'No Product Grid/List Design found.', WOPGLD_TD ),
    'not_found_in_trash' => __( 'No Product Grid/List Design found in Trash.', WOPGLD_TD )
);

$args = array(
    'labels' => $labels,
    'description' => __( 'Description.', WOPGLD_TD ),
    'public' => false,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'menu_icon' => 'dashicons-list-view',
    'query_var' => true,
    'rewrite' => array( 'slug' => 'woo_product_design' ),
    'capability_type' => 'post',
    'has_archive' => true,
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array( 'title' )
);

