<?php //$this -> print_array( $wopgld_option );                                                                                    ?>
<div class="wopgld-layout-outer-wrap">
    <div class ="wopgld-post-option-wrap">
        <label><?php _e( 'Layout', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <select name="wopgld_option[wopgld_select_layout]" class="wopgld-select-layout">
                <option value="grid"  <?php if ( isset( $wopgld_option[ 'wopgld_select_layout' ] ) && $wopgld_option[ 'wopgld_select_layout' ] == 'grid' ) echo 'selected=="selected"'; ?>><?php _e( 'Grid', WOPGLD_TD ) ?></option>
                <option value="list"  <?php if ( isset( $wopgld_option[ 'wopgld_select_layout' ] ) && $wopgld_option[ 'wopgld_select_layout' ] == 'list' ) echo 'selected=="selected"'; ?>><?php _e( 'List', WOPGLD_TD ) ?></option>
            </select>
        </div>
    </div>
    <div class="wopgld-grid-setting-wrap">
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Grid Template', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_grid_template]" class="wopgld-grid-template">
                    <?php
                    $wopgld_grid_names = array( 'Classic template', 'Hover box shadow template', 'Easy hover template', 'Boxy template', 'Overlay box template', 'Hover Up template', 'Down hover template', 'Swap content template', 'Greenish template', 'Center iconic template', 'Whitish overlay template', 'Bright scarlet template'
                        , 'Aquamarine template', 'Assembly button template', 'Content out hover template', 'Elegant template', 'Dark spectrum template', 'Ultramarine template', 'Lavender blue template', 'Basket template', 'React modal template', 'Splinter button template', 'Hover concealed template', 'Category highlight template',
                        'Hover buttons template',
                        'Hover on shadow template',
                        'Vertical button template',
                        'Horizontal button template',
                        'Price focused template',
                        'Top price focused template',
                        'Simple hoveric template'
                    );
                    $k = 1;
                    foreach ( $wopgld_grid_names as $wopgld_grid_name ) {
                        ?>
                        <option value="template-<?php echo $k; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_grid_template' ] ) ) selected( $wopgld_option[ 'wopgld_grid_template' ], 'template-' . $k ); ?>><?php echo $wopgld_grid_name; ?></option>
                        <?php
                        $k ++;
                    }
                    ?>    </select>
            </div>
        </div>
        <div class="wopgld-grid-demo wopgld-preview-image">
            <?php
            for ( $cnt = 1; $cnt <= 31; $cnt ++ ) {
                if ( isset( $wopgld_option[ 'wopgld_grid_template' ] ) ) {
                    $option_value = $wopgld_option[ 'wopgld_grid_template' ];
                    $exploed_array = explode( '-', $option_value );
                    $cnt_num = $exploed_array[ 1 ];
                    if ( $cnt != $cnt_num ) {
                        $style = "style='display:none;'";
                    } else {
                        $style = '';
                    }
                }
                ?>
                <div class="wopgld-grid-common" id="wopgld-grid-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                    <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                    <img src="<?php echo WOPGLD_IMG_DIR . '/demo/grid-templates/template-' . $cnt . '.png' ?>"/>
                </div>
            <?php } ?>
        </div>
    </div>
    <div class="wopgld-list-setting-wrap" style="display:none;">
        <div class="wopgld-normal-list-wrap">
            <div class ="wopgld-post-option-wrap">
                <label><?php _e( 'List Template', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <select name="wopgld_option[wopgld_list_template]" class="wopgld-list-template">
                        <?php
                        $wopgld_list_names = array( 'Pulchritude template', 'Decent template', 'Rainbow template', 'Bold template', 'Twist indigo template',
                            'Cantaloupe template',
                            'light border template',
                            'Whitish grey template',
                            'Center button template',
                            'Bold title template',
                            'larger image template',
                            'Category tooltip template'
                        );
                        $l = 1;
                        foreach ( $wopgld_list_names as $wopgld_list_name ) {

                            //  for ( $k = 1; $k <= 5; $k ++ ) {
                            ?>
                            <option value="template-<?php echo $l; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_list_template' ] ) ) selected( $wopgld_option[ 'wopgld_list_template' ], 'template-' . $l ); ?>><?php echo $wopgld_list_name; ?></option>
                            <?php
                            $l ++;
                        }
                        ?>    </select>

                </div>
            </div>
            <div class="wopgld-list-demo wopgld-preview-image">
                <?php
                for ( $cnt = 1; $cnt <= 12; $cnt ++ ) {
                    if ( isset( $wopgld_option[ 'wopgld_list_template' ] ) ) {
                        $option_value = $wopgld_option[ 'wopgld_list_template' ];
                        $exploed_array = explode( '-', $option_value );
                        $cnt_num = $exploed_array[ 1 ];
                        if ( $cnt != $cnt_num ) {
                            $style = "style='display:none;'";
                        } else {
                            $style = '';
                        }
                    }
                    ?>
                    <div class="wopgld-list-common" id="wopgld-list-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                        <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                        <img src="<?php echo WOPGLD_IMG_DIR . '/demo/list-templates/template-' . $cnt . '.png' ?>"/>
                    </div>
                <?php } ?>
            </div>
        </div>

        <div class = "wopgld-post-option-wrap">
            <label><?php _e( 'Image Position', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label><input type="radio" value="left" name="wopgld_option[list_image_position]" <?php
                    if ( isset( $wopgld_option[ 'list_image_position' ] ) ) {
                        checked( $wopgld_option[ 'list_image_position' ], 'left' );
                    }
                    ?> class="wopgld-list-position"/><?php _e( "Left", WOPGLD_TD ); ?></label>
                <label><input type="radio" value="right" name="wopgld_option[list_image_position]" <?php
                    if ( isset( $wopgld_option[ 'list_image_position' ] ) ) {
                        checked( $wopgld_option[ 'list_image_position' ], 'right' );
                    }
                    ?>  class="wopgld-list-position"/><?php _e( 'Right', WOPGLD_TD ); ?></label>
            </div>
        </div>
    </div>
    <div class="wopgld-column-settings-wrap">
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Desktop Column', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <?php
                $desktop_column = isset( $wopgld_option[ 'desktop_column' ] ) ? esc_attr( $wopgld_option[ 'desktop_column' ] ) : '2';
                ?>
                <div class="wopgld-grid-column" data-max="4" data-min="1" data-value="<?php echo $desktop_column; ?>"></div>
                <input type="number" min="1" name="wopgld_option[desktop_column]" max="4" class="wopgld-desktop-column" value="<?php echo $desktop_column; ?>" readonly="readonly"/>
            </div>
        </div>
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Tablet/IPad Column', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <?php
                $tablet_column = isset( $wopgld_option[ 'tablet_column' ] ) ? esc_attr( $wopgld_option[ 'tablet_column' ] ) : '2';
                ?>
                <div class="wopgld-grid-column" data-max="3" data-min="1" data-value="<?php echo $tablet_column; ?>"></div>
                <input type="number" min="1" name="wopgld_option[tablet_column]" max="3" class="wopgld-tablet-column" value="<?php echo $tablet_column; ?>" readonly="readonly"/>
            </div>
        </div>
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Mobile Column', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <?php
                $mobile_column = isset( $wopgld_option[ 'mobile_column' ] ) ? esc_attr( $wopgld_option[ 'mobile_column' ] ) : '1';
                ?>
                <div class="wopgld-grid-column" data-max="2" data-min="1" data-value="<?php echo $mobile_column; ?>"></div>
                <input type="number" min="1" name="wopgld_option[mobile_column]" max="3" class="wopgld-mobile-column" value="<?php echo $mobile_column; ?>" readonly="readonly"/>
            </div>
        </div>
    </div>
</div>

