<div class="wopgld-post-option-wrap">
    <label><?php _e( 'Number of Post', WOPGLD_TD ); ?></label>
    <div class="wopgld-post-field-wrap">
        <input type="number" class="wopgld-post-number" min="1" name="wopgld_option[wopgld_post_number]"  value="<?php
        if ( isset( $wopgld_option[ 'wopgld_post_number' ] ) ) {
            echo $wopgld_option[ 'wopgld_post_number' ];
        } else {
            echo '5';
        }
        ?>"/>
        <p class="description"><?php _e( 'Enter the number of post to show in frontend', WOPGLD_TD ) ?></p>
    </div>
</div>
<div class ="wopgld-post-option-wrap">
    <label for="wopgld-show-pagination" class="wopgld-show-pagination">
        <?php _e( 'Show Pagination', WOPGLD_TD ); ?>
    </label>
    <div class="wopgld-post-field-wrap">
        <label class="wopgld-switch">
            <input type="checkbox" class="wopgld-display-pagination wopgld-checkbox" value="<?php
            if ( isset( $wopgld_option[ 'wopgld_display_pagination' ] ) ) {
                echo esc_attr( $wopgld_option[ 'wopgld_display_pagination' ] );
            } else {
                echo '0';
            }
            ?>" name="wopgld_option[wopgld_display_pagination]" <?php if ( isset( $wopgld_option[ 'wopgld_display_pagination' ] ) && $wopgld_option[ 'wopgld_display_pagination' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wopgld-slider round"></div>
        </label>
        <p class="description"> <?php _e( 'Enable to show pagination.', WOPGLD_TD ) ?></p>
    </div>
</div>
<div class="wopgld-pagination-wrapper"
<?php if ( isset( $wopgld_option[ 'wopgld_display_pagination' ] ) && $wopgld_option[ 'wopgld_display_pagination' ] == '1' ) {
    ?> style="display: block;"
         <?php
     } else {
         ?>
         style="display: none;"
         <?php
     }
     ?>>
    <div class ="wopgld-post-option-wrap">
        <label><?php _e( 'Pagination', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <select name="wopgld_option[wopgld_select_pagination]" class="wopgld-select-pagination">
                <option value="standard_pagination"  <?php if ( isset( $wopgld_option[ 'wopgld_select_pagination' ] ) && $wopgld_option[ 'wopgld_select_pagination' ] == 'standard_pagination' ) echo 'selected=="selected"'; ?>><?php _e( 'Standard Pagination', WOPGLD_TD ) ?></option>
                <option value="load_more_button"  <?php if ( isset( $wopgld_option[ 'wopgld_select_pagination' ] ) && $wopgld_option[ 'wopgld_select_pagination' ] == 'load_more_button' ) echo 'selected=="selected"'; ?>><?php _e( 'Load More Button', WOPGLD_TD ) ?></option>
                <option value="infinite_scroll"  <?php if ( isset( $wopgld_option[ 'wopgld_select_pagination' ] ) && $wopgld_option[ 'wopgld_select_pagination' ] == 'infinite_scroll' ) echo 'selected=="selected"'; ?>><?php _e( 'Infinite Scrolls', WOPGLD_TD ) ?></option>
            </select>
        </div>
    </div>
    <div class="wopgld-standard-page-block">
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Standard Pagination Template', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_standard_page_template]" class="wopgld-standard-template">
                    <?php
                    $wopgld_standard_names = array( 'Persimmons angle template', 'Green circle template', 'Border up template', 'Salmon template', 'Black square template' );
                    $sp = 1;
                    foreach ( $wopgld_standard_names as $wopgld_standard_name ) {
                        ?>
                        <option value="template-<?php echo $sp; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_standard_page_template' ] ) ) selected( $wopgld_option[ 'wopgld_standard_page_template' ], 'template-' . $sp ); ?>><?php echo $wopgld_standard_name; ?></option>
                        <?php
                        $sp ++;
                    }
                    ?>    </select>
                <div class="wopgld-standard-pagination-demo wopgld-preview-image">
                    <?php
                    for ( $cnt = 1; $cnt <= 5; $cnt ++ ) {
                        if ( isset( $wopgld_option[ 'wopgld_standard_page_template' ] ) ) {
                            $option_value = $wopgld_option[ 'wopgld_standard_page_template' ];
                            $exploed_array = explode( '-', $option_value );
                            $cnt_num = $exploed_array[ 1 ];
                            if ( $cnt != $cnt_num ) {
                                $style = "style='display:none;'";
                            } else {
                                $style = '';
                            }
                        }
                        ?>
                        <div class="wopgld-standard-pagination-common" id="wopgld-standard-pagination-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                            <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                            <img src="<?php echo WOPGLD_IMG_DIR . '/demo/paginations/template-' . $cnt . '.png' ?>"/>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <div class="wopgld-load-setting-block" style="display: none;">
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Load More Template', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_load_more_template]" class="wopgld-load-more-template">
                    <?php
                    $wopgld_load_names = array( 'Tangerine template', 'Switch to black template', 'Bosky template', 'Modern template', 'Empyrean template' );
                    $lm = 1;
                    foreach ( $wopgld_load_names as $wopgld_load_name ) {
                        ?>
                        <option value="template-<?php echo $lm; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_load_more_template' ] ) ) selected( $wopgld_option[ 'wopgld_load_more_template' ], 'template-' . $lm ); ?>><?php echo $wopgld_load_name; ?></option>
                        <?php
                        $lm ++;
                    }
                    ?>    </select>
                <div class="wopgld-load-more-demo wopgld-preview-image">
                    <?php
                    for ( $cnt = 1; $cnt <= 5; $cnt ++ ) {
                        if ( isset( $wopgld_option[ 'wopgld_load_more_template' ] ) ) {
                            $option_value = $wopgld_option[ 'wopgld_load_more_template' ];
                            $exploed_array = explode( '-', $option_value );
                            $cnt_num = $exploed_array[ 1 ];
                            if ( $cnt != $cnt_num ) {
                                $style = "style='display:none;'";
                            } else {
                                $style = '';
                            }
                        }
                        ?>
                        <div class="wopgld-load-more-common" id="wopgld-load-more-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                            <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                            <img src="<?php echo WOPGLD_IMG_DIR . '/demo/loadmore/template-' . $cnt . '.png' ?>"/>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="load-more-text" class="wopgld-load-more-text"><?php _e( 'Load More Text', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <input type="text" class="wopgld-load-more-text" placeholder="Load More" name="wopgld_option[wopgld_load_more_text]" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_load_more_text' ] ) && ! empty( $wopgld_option[ 'wopgld_load_more_text' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_load_more_text' ] );
                }
                ?>">
            </div>
        </div>
    </div>
    <div class="wopgld-loader-block" style="display: none;">
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Loader', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <?php
                $wopgld_loader_previews = array( 'loader-1', 'loader-2', 'loader-3', 'loader-4', 'loader-5', 'loader-6', 'loader-7', 'loader-8', 'loader-9', 'loader-10', 'loader-11', 'loader-12', 'loader-13', 'loader-14', 'loader-15', 'loader-16' );
                foreach ( $wopgld_loader_previews as $wopgld_loader_preview ) :
                    ?>
                    <div class="wopgld-hide-radio">
                        <input type="radio" id="<?php echo $wopgld_loader_preview; ?>" name="wopgld_option[wopgld_loader_preview_type]" class="wopgld-loader-type" value="<?php echo esc_attr( $wopgld_loader_preview ); ?>" <?php if ( isset( $wopgld_option[ 'wopgld_loader_preview_type' ] ) && $wopgld_option[ 'wopgld_loader_preview_type' ] == $wopgld_loader_preview ) { ?>checked="checked"<?php } ?> <?php if ( ! isset( $wopgld_option[ 'wopgld_loader_preview_type' ] ) ) { ?>checked="checked"<?php } ?> />
                        <label class="wopgld-loader-demo" for="<?php echo $wopgld_loader_preview; ?>">
                            <img src="<?php echo WOPGLD_IMG_DIR . '/loader/' . $wopgld_loader_preview . '.gif' ?>">
                        </label>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>