<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
?>
<div class="wopgld-post-selection-wrap">
    <div class="wopgld-query-wrapper">
        <ul class="wopgld-query-tab">
            <li data-menu="taxonomy-settings" class="wopgld-query-tigger wopgld-query-active">
                <?php _e( 'Taxonomies/Categories', WOPGLD_TD ) ?>
            </li>
            <li data-menu="custom-settings" class="wopgld-query-tigger">
                <?php _e( 'Custom Field', WOPGLD_TD ) ?>
            </li>
            <li data-menu="search-settings" class="wopgld-query-tigger">
                <?php _e( 'Search Keyword', WOPGLD_TD ) ?>
            </li>
            <li data-menu="popular-settings" class="wopgld-query-tigger">
                <?php _e( 'Popular Post', WOPGLD_TD ) ?>
            </li>
        </ul>
    </div>
    <div class ="wopgld-query-setting-wrap wopgld-active-field" data-menu-ref="taxonomy-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/filter/wopgld-taxonomy.php'); ?>
    </div>
    <div class ="wopgld-query-setting-wrap" data-menu-ref="custom-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/filter/wopgld-custom.php'); ?>
    </div>
    <div class ="wopgld-query-setting-wrap" data-menu-ref="search-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/filter/wopgld-search.php'); ?>
    </div>
    <div class ="wopgld-query-setting-wrap" data-menu-ref="popular-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/filter/wopgld-popular.php'); ?>
    </div>
    <div class="wopgld-separation-wrap">
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'OrderBy', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_select_orderby]" class="wopgld-select-orderby">
                    <option value="none"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'none' ) echo 'selected=="selected"'; ?>><?php _e( 'None', WOPGLD_TD ) ?></option>
                    <option value="ID"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'ID' ) echo 'selected=="selected"'; ?>><?php _e( 'ID', WOPGLD_TD ) ?></option>
                    <option value="author"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'author' ) echo 'selected=="selected"'; ?>><?php _e( 'Author', WOPGLD_TD ) ?></option>
                    <option value="title"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'title' ) echo 'selected=="selected"'; ?>><?php _e( 'Title', WOPGLD_TD ) ?></option>
                    <option value="name"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'name' ) echo 'selected=="selected"'; ?>><?php _e( 'Post Name', WOPGLD_TD ) ?></option>
                    <option value="type"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'type' ) echo 'selected=="selected"'; ?>><?php _e( 'Post Type', WOPGLD_TD ) ?></option>
                    <option value="date"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'date' ) echo 'selected=="selected"'; ?>><?php _e( 'Date', WOPGLD_TD ) ?></option>
                    <option value="modified"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'modified' ) echo 'selected=="selected"'; ?>><?php _e( 'Last Modified Date', WOPGLD_TD ) ?></option>
                    <option value="parent"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'parent' ) echo 'selected=="selected"'; ?>><?php _e( 'Parent ID', WOPGLD_TD ) ?></option>
                    <option value="rand"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'rand' ) echo 'selected=="selected"'; ?>><?php _e( 'Random', WOPGLD_TD ) ?></option>
                    <option value="comment_count"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'comment_count' ) echo 'selected=="selected"'; ?>><?php _e( 'Comment Count', WOPGLD_TD ) ?></option>
                    <option value="menu_order"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'menu_order' ) echo 'selected=="selected"'; ?>><?php _e( 'Menu Order', WOPGLD_TD ) ?></option>
                    <option value="meta_value"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'meta_value' ) echo 'selected=="selected"'; ?>><?php _e( 'Alphabetical Meta Value', WOPGLD_TD ) ?></option>
                    <option value="meta_value_num"  <?php if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) && $wopgld_option[ 'wopgld_select_orderby' ] == 'meta_value_num' ) echo 'selected=="selected"'; ?>><?php _e( 'Numeric Meta Value', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
        <div class="wopgld-orderby-meta-warp" style="display: none;">
            <div class ="wopgld-post-option-wrap">
                <label><?php _e( 'Meta Key', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <input type="text" class="wopgld-orderby-key" name="wopgld_option[wopgld_orderby_key]" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_orderby_key' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_orderby_key' ] );
                    }
                    ?>" >
                </div>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Order', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_select_order]" class="wopgld-select-order">
                    <option value="ASC"  <?php if ( isset( $wopgld_option[ 'wopgld_select_order' ] ) && $wopgld_option[ 'wopgld_select_order' ] == 'ASC' ) echo 'selected=="selected"'; ?>><?php _e( 'Ascending', WOPGLD_TD ) ?></option>
                    <option value="DESC"  <?php if ( isset( $wopgld_option[ 'wopgld_select_order' ] ) && $wopgld_option[ 'wopgld_select_order' ] == 'DESC' ) echo 'selected=="selected"'; ?>><?php _e( 'Descending', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Post Status', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_select_post_status]" class="wopgld-select-post-status">
                    <option value="publish"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'publish' ) echo 'selected=="selected"'; ?>><?php _e( 'Publish', WOPGLD_TD ) ?></option>
                    <option value="pending"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'pending' ) echo 'selected=="selected"'; ?>><?php _e( 'Pending', WOPGLD_TD ) ?></option>
                    <option value="draft"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'draft' ) echo 'selected=="selected"'; ?>><?php _e( 'Draft', WOPGLD_TD ) ?></option>
                    <option value="auto-draft"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'auto-draft' ) echo 'selected=="selected"'; ?>><?php _e( 'Auto Draft', WOPGLD_TD ) ?></option>
                    <option value="future"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'future' ) echo 'selected=="selected"'; ?>><?php _e( 'Future', WOPGLD_TD ) ?></option>
                    <option value="private"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'private' ) echo 'selected=="selected"'; ?>><?php _e( 'Private', WOPGLD_TD ) ?></option>
                    <option value="inherit"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'inherit' ) echo 'selected=="selected"'; ?>><?php _e( 'Inherit', WOPGLD_TD ) ?></option>
                    <option value="trash"  <?php if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) && $wopgld_option[ 'wopgld_select_post_status' ] == 'trash' ) echo 'selected=="selected"'; ?>><?php _e( 'Trash', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
    </div>
</div>