<?php
//$this -> print_array( $wopgld_option );
?>
<div class="wopgld-post-option-wrap">
    <label for="wopgld-price-check" class="wopgld-price-view">
        <?php _e( 'Display Price', WOPGLD_TD ); ?>
    </label>
    <div class="wopgld-post-field-wrap">
        <label class="wopgld-switch">
            <input type="checkbox" class="wopgld-show-price wopgld-checkbox" value="<?php
            if ( isset( $wopgld_option[ 'wopgld_show_price' ] ) ) {
                echo esc_attr( $wopgld_option[ 'wopgld_show_price' ] );
            } else {
                echo '0';
            }
            ?>" name="wopgld_option[wopgld_show_price]" <?php if ( isset( $wopgld_option[ 'wopgld_show_price' ] ) && $wopgld_option[ 'wopgld_show_price' ] == '1' ) { ?>checked="checked"<?php } ?> />
            <div class="wopgld-slider round"></div>
        </label>
        <p class="description"><?php _e( 'Enable to show price', WOPGLD_TD ) ?></p>
    </div>
</div>
<div class="wopgld-price-wrapper" <?php if ( (isset( $wopgld_option[ 'wopgld_show_price' ] ) && $wopgld_option[ 'wopgld_show_price' ] == '1' ) ) {
                ?> style="display: block;"
         <?php
     } else {
         ?>
         style="display: none;"
         <?php
     }
     ?>>
    <div class="wopgld-post-option-wrap">
        <label><?php _e( 'Price Type', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <label><input type="radio" value="actual_price" name="wopgld_option[product_price]" <?php
                if ( isset( $wopgld_option[ 'product_price' ] ) ) {
                    checked( $wopgld_option[ 'product_price' ], 'actual_price' );
                }
                ?> class="wopgld-post-content"/><?php _e( "Actual Price", WOPGLD_TD ); ?></label>
            <label><input type="radio" value="sale_price" name="wopgld_option[product_price]" <?php
                if ( isset( $wopgld_option[ 'product_price' ] ) ) {
                    checked( $wopgld_option[ 'product_price' ], 'sale_price' );
                }
                ?>  class="wopgld-post-content"/><?php _e( 'Sale Price', WOPGLD_TD ); ?></label>
        </div>
    </div>
</div>
<div class="wopgld-woocommerce-wrap">
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-wishlist-check" class="wopgld-wishlist-view">
            <?php _e( 'Display Wishlist Button', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-wishlist wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_wishlist' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_wishlist' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_wishlist]" <?php if ( isset( $wopgld_option[ 'wopgld_show_wishlist' ] ) && $wopgld_option[ 'wopgld_show_wishlist' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show wishlist button', WOPGLD_TD ) ?></p>
        </div>
        <div class="wopgld-tooltip-icon">
            <span class="dashicons dashicons-info"></span>
            <?php
            $link_html = '<a href="https://wordpress.org/plugins/yith-woocommerce-wishlist/">https://wordpress.org/plugins/yith-woocommerce-wishlist/</a>';
            ?>
            <span class="wopgld-tooltip-info"><?php _e( sprintf( 'Note: Please install and activate YITH WooCommerce Wishlist( %s ) plugin to use wishlist button.', $link_html ), WOPGLD_TD ); ?></span>
        </div>
    </div>
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-rating-check" class="wopgld-rating-view">
            <?php _e( 'Enable ratings', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-rating wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_rating' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_rating' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_rating]" <?php if ( isset( $wopgld_option[ 'wopgld_show_rating' ] ) && $wopgld_option[ 'wopgld_show_rating' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show ratings', WOPGLD_TD ) ?></p>
        </div>
    </div>
</div>
<div class="wopgld-button-one-outer-wrap">
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-buy-check" class="wopgld-buy-view">
            <?php _e( 'Call To Action Button One', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-button-one wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_button_one' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_button_one' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_button_one]" <?php if ( isset( $wopgld_option[ 'wopgld_show_button_one' ] ) && $wopgld_option[ 'wopgld_show_button_one' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show button one, for example Buy link', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-buy-wrapper" <?php if ( isset( $wopgld_option[ 'wopgld_show_button_one' ] ) && $wopgld_option[ 'wopgld_show_button_one' ] == '1' ) {
                    ?> style="display: block;"
             <?php
         } else {
             ?>
             style="display: none;"
             <?php
         }
         ?>>
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Button Link Type', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_button_one_link_type]" class="wopgld-button-one-link-type">
                    <option value="product_detail_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_one_link_type' ] ) && $wopgld_option[ 'wopgld_button_one_link_type' ] == 'product_detail_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Product Detail Link', WOPGLD_TD ) ?></option>
                    <option value="common_custom_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_one_link_type' ] ) && $wopgld_option[ 'wopgld_button_one_link_type' ] == 'common_custom_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Common Custom Link', WOPGLD_TD ) ?></option>
                    <option value="individual_custom_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_one_link_type' ] ) && $wopgld_option[ 'wopgld_button_one_link_type' ] == 'individual_custom_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Individual Custom link', WOPGLD_TD ) ?></option>
                    <option value="product_add_cart"  <?php if ( isset( $wopgld_option[ 'wopgld_button_one_link_type' ] ) && $wopgld_option[ 'wopgld_button_one_link_type' ] == 'product_add_cart' ) echo 'selected=="selected"'; ?>><?php _e( 'Add to Cart', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
        <div class="wopgld-common-link-wrapper">
            <div class="wopgld-post-option-wrap">
                <label for="custom-detail-link" class="wopgld-custom-link"><?php _e( 'Common Custom Link', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <input type="text" class="wopgld-common-link-button-one" name="wopgld_option[common_link_button_one]" value="<?php
                    if ( isset( $wopgld_option[ 'common_link_button_one' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'common_link_button_one' ] );
                    }
                    ?>">
                </div>
                <div class="wopgld-tooltip-icon">
                    <span class="dashicons dashicons-info"></span>
                    <span class="wopgld-tooltip-info"><?php _e( 'This link can be useful if you have any third party order processing systems.', WOPGLD_TD ); ?></span>
                </div>
                <p class="description">
                    <?php _e( 'Please use #product_id, #product_slug or #product_title in the link to replace it with corresponding values in the provided link. For example: http://example.com/order?product_id=#product_id', WOPGLD_TD ); ?>
                </p>
            </div>
        </div>
        <div class="wopgld-button-one-text-wrap">
            <div class="wopgld-post-option-wrap">
                <label for="button-one-text" class="wopgld-button-text"><?php _e( 'Button Text', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <input type="text" class="wopgld-button-one-text" placeholder="Add Button Text" name="wopgld_option[wopgld_button_one_text]" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_button_one_text' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_button_one_text' ] );
                    }
                    ?>">
                </div>
            </div>
        </div>
    </div>
</div>
<div class="wopgld-button-two-outer-wrap">
    <div class="wopgld-post-option-wrap">
        <label for="wopgld-detail-check" class="wopgld-detail-page-view">
            <?php _e( 'Call To Action Button Two', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-button-two wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_button_two' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_button_two' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_button_two]" <?php if ( isset( $wopgld_option[ 'wopgld_show_button_two' ] ) && $wopgld_option[ 'wopgld_show_button_two' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show button two', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-detail-link-wrapper" <?php if ( isset( $wopgld_option[ 'wopgld_show_button_two' ] ) && $wopgld_option[ 'wopgld_show_button_two' ] == '1' ) {
                    ?> style="display: block;"
             <?php
         } else {
             ?>
             style="display: none;"
             <?php
         }
         ?>>

        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Button Link Type', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_button_two_link_type]" class="wopgld-button-two-link-type">
                    <option value="product_detail_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_two_link_type' ] ) && $wopgld_option[ 'wopgld_button_two_link_type' ] == 'product_detail_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Product Detail Link', WOPGLD_TD ) ?></option>
                    <option value="common_custom_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_two_link_type' ] ) && $wopgld_option[ 'wopgld_button_two_link_type' ] == 'common_custom_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Common Custom Link', WOPGLD_TD ) ?></option>
                    <option value="individual_custom_link"  <?php if ( isset( $wopgld_option[ 'wopgld_button_two_link_type' ] ) && $wopgld_option[ 'wopgld_button_two_link_type' ] == 'individual_custom_link' ) echo 'selected=="selected"'; ?>><?php _e( 'Individual Custom link', WOPGLD_TD ) ?></option>
                    <option value="product_add_cart"  <?php if ( isset( $wopgld_option[ 'wopgld_button_two_link_type' ] ) && $wopgld_option[ 'wopgld_button_two_link_type' ] == 'product_add_cart' ) echo 'selected=="selected"'; ?>><?php _e( 'Add to Cart', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
        <div class="wopgld-common-two-link-wrapper">
            <div class="wopgld-post-option-wrap">
                <label for="custom-detail-link" class="wopgld-custom-link"><?php _e( 'Common Custom Link', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <input type="text" class="wopgld-common-link-button-two" name="wopgld_option[common_link_button_two]" value="<?php
                    if ( isset( $wopgld_option[ 'common_link_button_two' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'common_link_button_two' ] );
                    }
                    ?>">
                </div>
                <div class="wopgld-tooltip-icon">
                    <span class="dashicons dashicons-info"></span>
                    <span class="wopgld-tooltip-info"><?php _e( 'This link can be useful if you have any third party order processing systems.', WOPGLD_TD ); ?></span>
                </div>
                <p class="description">
                    <?php _e( 'Please use #product_id, #product_slug or #product_title in the link to replace it with corresponding values in the provided link. For example: http://example.com/order?product_id=#product_id', WOPGLD_TD ); ?>
                </p>
            </div>
        </div>
        <div class="wopgld-button-two-text-wrap">
            <div class="wopgld-post-option-wrap">
                <label for="detail-button-text" class="wopgld-detail-text"><?php _e( 'Button Text', WOPGLD_TD ); ?></label>
                <div class="wopgld-post-field-wrap">
                    <input type="text" class="wopgld-detail-link-text" placeholder="Add Button Text" name="wopgld_option[wopgld_button_two_text]" value="<?php
                           if ( isset( $wopgld_option[ 'wopgld_button_two_text' ] ) ) {
                               echo esc_attr( $wopgld_option[ 'wopgld_button_two_text' ] );
                           }
                           ?>">
                </div>
            </div>
        </div>
    </div>
</div>