<div class="wopgld-social-outer-wrap">
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-social-share-check" class="wopgld-social-share">
            <?php _e( 'Social Share', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-social-share wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_social_share' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_social_share' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_social_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_social_share' ] ) && $wopgld_option[ 'wopgld_show_social_share' ] == '1' ) { ?>checked="checked"<?php } ?>/>
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show social share link', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-social-container"
    <?php if ( isset( $wopgld_option[ 'wopgld_show_social_share' ] ) && $wopgld_option[ 'wopgld_show_social_share' ] == '1' ) {
        ?> style="display: block;"
             <?php
         } else {
             ?>
             style="display: none;"
             <?php
         }
         ?>>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-facebook-share-check" class="wopgld-facebook-share">
                <?php _e( 'Facebook Share Link', WOPGLD_TD ); ?>
            </label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-facebook-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_facebook_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_facebook_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_facebook_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_facebook_share' ] ) && $wopgld_option[ 'wopgld_show_facebook_share' ] == '1' ) { ?>checked="checked"<?php } ?>/>
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show facebook share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-twitter-share-check" class="wopgld-twitter-share">
                <?php _e( 'Twitter Share Link', WOPGLD_TD ); ?>
            </label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-twitter-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_twitter_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_twitter_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_twitter_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_twitter_share' ] ) && $wopgld_option[ 'wopgld_show_twitter_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show twitter share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-google-share-check" class="wopgld-google-share"><?php _e( 'Google Plus Share Link', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-google-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_google_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_google_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_google_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_google_share' ] ) && $wopgld_option[ 'wopgld_show_google_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show google plus share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-linkedin-share-check" class="wopgld-linkedin-share"><?php _e( 'Linkedin Share Link', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-linkedin-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_linkedin_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_linkedin_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_linkedin_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_linkedin_share' ] ) && $wopgld_option[ 'wopgld_show_linkedin_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show linkedin share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-mail-share-check" class="wopgld-mail-share"><?php _e( 'Share Via Email', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-mail-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_mail_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_mail_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_mail_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_mail_share' ] ) && $wopgld_option[ 'wopgld_show_mail_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show share via email', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-pinterest-share-check" class="wopgld-pinterest-share"><?php _e( 'Pinterest Share Link', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-pinterest-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_pinterest_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_pinterest_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_pinterest_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_pinterest_share' ] ) && $wopgld_option[ 'wopgld_show_pinterest_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show pinterest share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label for="wopgld-vk-share-check" class="wopgld-vk-share"><?php _e( 'VK Share Link', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label class="wopgld-switch">
                    <input type="checkbox" class="wopgld-show-vk-share wopgld-checkbox" value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_show_vk_share' ] ) ) {
                        echo esc_attr( $wopgld_option[ 'wopgld_show_vk_share' ] );
                    } else {
                        echo '0';
                    }
                    ?>" name="wopgld_option[wopgld_show_vk_share]" <?php if ( isset( $wopgld_option[ 'wopgld_show_vk_share' ] ) && $wopgld_option[ 'wopgld_show_vk_share' ] == '1' ) { ?>checked="checked"<?php } ?> />
                    <div class="wopgld-slider round"></div>
                </label>
                <p class="description"> <?php _e( 'Enable to show VK share link', WOPGLD_TD ) ?></p>
            </div>
        </div>
    </div>
</div>