<?php
if ( isset( $wopgld_option[ 'wopgld_show_lightbox' ] ) && $wopgld_option[ 'wopgld_show_lightbox' ] == '1' ) {
    $lightbox_template = isset( $wopgld_option[ 'wopgld_lightbox_template' ] ) ? esc_attr( $wopgld_option[ 'wopgld_lightbox_template' ] ) : 'template-1';
    ?>
    <div class="wopgld-lightbox-detail-wrap wopgld-lightbox-<?php echo $lightbox_template; ?>">
        <div class="wopgld-total-lightbox-content">
            <?php if ( $lightbox_template == 'template-1' ) { ?>
                <span class="dashicons dashicons-no wopgld-close-lightbox"></span>
                <div class="wopgld-popup-container wopgld-clearfix">
                    <div class="wopgld-image-container">
                        <?php include (WOPGLD_PATH . '/inc/frontend/data/inner/thumbnail-image.php'); ?>
                    </div>
                    <div class="wopgld-popup-content-wrap">
                        <div class="wopgld-lightbox-content-wrapper">
                            <?php if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) && $wopgld_option[ 'wopgld_show_category' ] == '1' ) { ?>
                                <div class="wopgld-lightbox-category-wrap">
                                    <?php echo $this -> wopgld_fetch_category( $product_item_id, $wopgld_option[ 'select_post_taxonomy' ] ); ?>
                                </div>
                                <?php
                            }
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/title-detail.php');
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/price-detail.php');
                            ?>

                        </div>
                        <div class="wopgld-lightbox-content">
                            <?php
                            the_excerpt();
                            ?>
                        </div>
                        <?php include (WOPGLD_PATH . '/inc/frontend/data/inner/button-one-detail.php'); ?>
                        <div class="wopgld-lightbox-button-collect-wrap">
                            <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                <div class="wopgld-lightbox-wishlist-wrap">
                                    <?php
                                    echo $this -> wopgld_wishlist_button();
                                    ?>
                                </div>
                                <?php
                            }
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/button-two-detail.php');
                            ?>
                        </div>
                        <div class="wopgld-lightbox-share-wrap">
                            <?php
                            _e( 'Share this product', WOPGLD_TD );
                            include (WOPGLD_PATH . '/inc/frontend/content/wopgld-social.php');
                            ?>
                        </div>
                    </div>
                </div>
                <?php
            } else if ( $lightbox_template == 'template-2' ) {
                ?>
                <span class="dashicons dashicons-no wopgld-close-lightbox"></span>
                <div class="wopgld-popup-container wopgld-clearfix">
                    <div class="wopgld-image-container">
                        <?php include (WOPGLD_PATH . '/inc/frontend/data/inner/thumbnail-image.php'); ?>
                    </div>
                    <div class="wopgld-popup-content-wrap">
                        <div class="wopgld-lightbox-content-wrapper">
                            <?php
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/title-detail.php');
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/price-detail.php');
                            ?>
                            <div class="wopgld-lightbox-button-collect-wrap wopgld-clearfix">
                                <?php
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-one-detail.php');
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-two-detail.php');
                                ?>
                            </div>
                            <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                <div class="wopgld-lightbox-wishlist-wrap">
                                    <?php
                                    echo $this -> wopgld_wishlist_button();
                                    ?>
                                </div>
                            <?php }
                            ?>
                            <div class="wopgld-lightbox-content">
                                <?php
                                the_excerpt();
                                ?>
                            </div>

                            <?php if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) && $wopgld_option[ 'wopgld_show_category' ] == '1' ) { ?>
                                <div class="wopgld-lightbox-category-wrap">
                                    <?php
                                    _e( 'Category: ', WOPGLD_TD );
                                    echo $this -> wopgld_fetch_category( $product_item_id, $wopgld_option[ 'select_post_taxonomy' ] );
                                    ?>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="wopgld-lightbox-share-wrap">
                            <?php
                            _e( 'SHARE THIS PRODUCT', WOPGLD_TD );
                            include (WOPGLD_PATH . '/inc/frontend/content/wopgld-social.php');
                            ?>
                        </div>
                    </div>
                </div>
                <?php
            } else if ( $lightbox_template == 'template-3' ) {
                ?>
                <span class="dashicons dashicons-no wopgld-close-lightbox"></span>
                <div class="wopgld-popup-container wopgld-clearfix">
                    <div class="wopgld-image-container">
                        <?php include (WOPGLD_PATH . '/inc/frontend/data/inner/thumbnail-image.php'); ?>
                    </div>
                    <div class="wopgld-popup-content-wrap">
                        <div class="wopgld-lightbox-content-wrapper">
                            <?php if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) && $wopgld_option[ 'wopgld_show_category' ] == '1' ) { ?>
                                <div class="wopgld-lightbox-category-wrap">
                                    <?php
                                    echo $this -> wopgld_fetch_category( $product_item_id, $wopgld_option[ 'select_post_taxonomy' ] );
                                    ?>
                                </div>
                                <?php
                            }
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/title-detail.php');
                            ?>
                            <div class="wopgld-lightbox-content">
                                <?php
                                the_excerpt();
                                ?>
                            </div>
                            <?php
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/price-detail.php');
                            ?>
                            <div class="wopgld-lightbox-button-collect-wrap">
                                <?php
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-one-detail.php');
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-two-detail.php');
                                ?>
                                <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="wopgld-lightbox-wishlist-wrap">
                                        <?php
                                        echo $this -> wopgld_wishlist_button();
                                        ?>
                                    </div>
                                <?php }
                                ?>
                            </div>
                            <div class="wopgld-lightbox-share-wrap">
                                <span>
                                    <?php
                                    _e( 'SHARE', WOPGLD_TD );
                                    ?>
                                </span>
                                <?php
                                include (WOPGLD_PATH . '/inc/frontend/content/wopgld-social.php');
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            } else {
                ?>
                <span class="dashicons dashicons-no wopgld-close-lightbox"></span>
                <div class="wopgld-popup-container wopgld-clearfix">
                    <div class="wopgld-image-container">
                        <?php include (WOPGLD_PATH . '/inc/frontend/data/inner/thumbnail-image.php'); ?>
                    </div>
                    <div class="wopgld-popup-content-wrap">
                        <div class="wopgld-lightbox-content-wrapper">
                            <?php
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/title-detail.php');
                            include (WOPGLD_PATH . '/inc/frontend/data/inner/price-detail.php');
                            ?>
                            <div class="wopgld-lightbox-content">
                                <?php
                                the_excerpt();
                                ?>
                            </div>
                            <div class="wopgld-lightbox-button-collect-wrap">
                                <?php
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-one-detail.php');
                                include (WOPGLD_PATH . '/inc/frontend/data/inner/button-two-detail.php');
                                ?>
                                <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="wopgld-lightbox-wishlist-wrap">
                                        <?php
                                        echo $this -> wopgld_wishlist_button();
                                        ?>
                                    </div>
                                <?php }
                                ?>
                            </div>
                            <?php if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) && $wopgld_option[ 'wopgld_show_category' ] == '1' ) { ?>
                                <div class="wopgld-lightbox-category-wrap">
                                    <?php
                                    _e( 'Categories', WOPGLD_TD );
                                    echo $this -> wopgld_fetch_category( $product_item_id, $wopgld_option[ 'select_post_taxonomy' ] );
                                    ?>
                                </div>
                            <?php } ?>
                            <div class="wopgld-lightbox-share-wrap">
                                <span>
                                    <?php
                                    _e( 'SHARE', WOPGLD_TD );
                                    ?>
                                </span>
                                <?php
                                include (WOPGLD_PATH . '/inc/frontend/content/wopgld-social.php');
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php }
            ?>
        </div>
    </div>
    <?php
}