<div class="wopgld-filter-wrap wopgld-filter-<?php echo esc_attr( $wopgld_option[ 'wopgld_filter_template' ] ); ?>">
    <ul>
        <?php $all = (isset( $wopgld_option[ 'wopgld_all_items_label' ] ) && $wopgld_option[ 'wopgld_all_items_label' ] != '') ? esc_attr( $wopgld_option[ 'wopgld_all_items_label' ] ) : __( 'All', 'WOPGLD_TD' ); ?>
        <li><a href="javascript:void(0);" class="wopgld-filter-trigger wopgld-active-filter" data-filter-key="wopgld-filter-all" data-layout-type="<?php echo esc_attr( $wopgld_option[ 'wopgld_select_layout' ] ); ?>"><?php echo $all; ?></a></li>
        <?php
        if ( isset( $wopgld_option[ 'filter_terms_type' ] ) && $wopgld_option[ 'filter_terms_type' ] == 'specific' ) {
            if ( count( $wopgld_option[ 'filter' ] ) ) {
                foreach ( $wopgld_option[ 'filter' ] as $filter_key => $filter_details ) {
                    $name = get_term_by( 'slug', $filter_details, $wopgld_option[ 'select_filter_taxonomy' ] );
                    ?>
                    <li><a href="javascript:void(0);" data-filter-key="wopgld-filter-cat-<?php echo esc_attr( $filter_details ); ?>" class="wopgld-filter-trigger" data-layout-type="<?php echo esc_attr( $wopgld_option[ 'wopgld_select_layout' ] ); ?>"><?php echo esc_attr( $name -> name ); ?></a></li>
                    <?php
                }
            }
        } else {
            $wopgld_terms = get_terms( $wopgld_option[ 'select_filter_taxonomy' ], 'orderby=count&hide_empty=0' );
            foreach ( $wopgld_terms as $wopgld_term ) {
                ?>
                <li><a href="javascript:void(0);" data-filter-key="wopgld-filter-cat-<?php echo esc_attr( $wopgld_term -> slug ); ?>" class="wopgld-filter-trigger" data-layout-type="<?php echo esc_attr( $wopgld_option[ 'wopgld_select_layout' ] ); ?>"><?php echo esc_attr( $wopgld_term -> name ); ?></a></li>
                    <?php
                }
            }
            ?>
    </ul>
</div>
