<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
global $post;
$post_id = $post -> ID;
$wopgld_advance_option = get_post_meta( $post_id, 'wopgld_advance_option', true );
?>
<div class="wopgld-post-option-wrap">
    <label for="button-one-link" class="wopgld-button-one-link"><?php _e( 'Call To Action Button One Link', WOPGLD_TD ); ?></label>
    <div class="wopgld-post-field-wrap">
        <input type="text" class="wopgld-button1-custom-link" name="wopgld_advance_option[button_one_custom_link]" value="<?php
        if ( isset( $wopgld_advance_option[ 'button_one_custom_link' ] ) ) {
            echo esc_attr( $wopgld_advance_option[ 'button_one_custom_link' ] );
        }
        ?>">
    </div>
    <div class="wopgld-tooltip-icon">
        <span class="dashicons dashicons-info"></span>
        <span class="wopgld-tooltip-info"><?php _e( 'This is used to show the individual custom link for call to action button one', WOPGLD_TD ); ?></span>
    </div>
</div>
<div class="wopgld-post-option-wrap">
    <label for="custom-button-link" class="wopgld-custom2-link"><?php _e( 'Call To Action Button Two Link', WOPGLD_TD ); ?></label>
    <div class="wopgld-post-field-wrap">
        <input type="text" class="wopgld-custom-button2-link" name="wopgld_advance_option[button_two_custom_link]" value="<?php
        if ( isset( $wopgld_advance_option[ 'button_two_custom_link' ] ) ) {
            echo esc_attr( $wopgld_advance_option[ 'button_two_custom_link' ] );
        }
        ?>">
    </div>
    <div class="wopgld-tooltip-icon">
        <span class="dashicons dashicons-info"></span>
        <span class="wopgld-tooltip-info"><?php _e( 'This is used to show the individual custom link for call to action button two', WOPGLD_TD ); ?></span>
    </div>
</div>

<div class="wopgld-post-option-wrap">
    <label for="swap-image" class="wopgld-swap-setting"><?php _e( 'Upload Swap on Hover Image', WOPGLD_TD ); ?></label>
    <div class="wopgld-post-field-wrap">
        <input type="text" class="wopgld-swap-image-url" name="wopgld_advance_option[swap_image_url]"  value="<?php
        if ( isset( $wopgld_advance_option[ 'swap_image_url' ] ) ) {
            echo esc_attr( $wopgld_advance_option[ 'swap_image_url' ] );
        }
        ?>" />
        <input type="button" class="wopgld-swap-image-url-button button-secondary" name="wopgld_swap_image"  value="<?php _e( 'Upload Image', WOPGLD_TD ); ?>" size="25"/>
        <div class="wopgld-image-preview">
            <img  class="wopgld-swap-image" src="<?php
            if ( isset( $wopgld_advance_option[ 'swap_image_url' ] ) ) {
                echo esc_attr( $wopgld_advance_option[ 'swap_image_url' ] );
            }
            ?>" alt="" width="200">
        </div>
    </div>
    <div class="wopgld-tooltip-icon">
        <span class="dashicons dashicons-info"></span>
        <span class="wopgld-tooltip-info"><?php _e( 'This is used to show the swap image for Swap On Hover animation type.', WOPGLD_TD ); ?></span>
    </div>
</div>
<?php
if ( get_post_type( $_GET[ 'post' ] ) != 'product' ) {
    ?>
    <div class="wopgld-post-option-wrap">
        <label for="upload-gallery" class="wopgld-gallery-settings"><?php _e( 'Upload Products Gallery', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">

            <input type="button" class="wopgld-upload-slider-button button-secondary" name="wopgld-upload-slider-image"  value="<?php _e( 'Upload Gallery', WOPGLD_TD ); ?>" size="25"/>
        </div>
        <div class="wopgld-slider-image-collection">
            <?php
            if ( isset( $wopgld_advance_option[ 'gallery' ] ) ) {
                foreach ( $wopgld_advance_option[ 'gallery' ] as $image_key => $detail ) {
                    ?>
                    <div class="wopgld-slider-wrap">
                        <div class="wopgld-slider-image-preview">
                            <div class="wopgld-each-slider-wrap clearfix">
                                <a href="javascript:void(0)" class="wopgld-sort-slider-image"><span class="dashicons dashicons-move"></span></a>
                                <a href="javascript:void(0)" class="wopgld-delete-slider-image"><span class="dashicons dashicons-trash"></span></a>
                            </div>
                            <div class="wopgld-slider-collection-wrap">
                                <img  class="wopgld-slider-image" src="<?php
                                if ( isset( $wopgld_advance_option[ 'gallery' ][ $image_key ][ 'slider_image_url' ] ) ) {
                                    echo esc_url( $wopgld_advance_option[ 'gallery' ][ $image_key ][ 'slider_image_url' ] );
                                }
                                ?>" alt="">
                            </div>
                            <input type="hidden" class="wopgld-slider-image-url" name="wopgld_advance_option[gallery][<?php echo $image_key; ?>][slider_image_url]"  value="<?php
                                   if ( isset( $wopgld_advance_option[ 'gallery' ][ $image_key ][ 'slider_image_url' ] ) ) {
                                       echo esc_url( $wopgld_advance_option[ 'gallery' ][ $image_key ][ 'slider_image_url' ] );
                                   }
                                   ?>" />
                        </div>
                    </div>
                    <?php
                }
            }
            ?>
        </div>
    </div>
    <?php
}




