<div class ="wopgld-post-option-wrap">
    <label for="wopgld-show-taxonomy-query" class="wopgld-taxonomy-relation">
        <?php _e( 'Filter Taxonomies/Categories Post', WOPGLD_TD ); ?>
    </label>
    <div class="wopgld-post-field-wrap">
        <label class="wopgld-switch">
            <input type="checkbox" class="wopgld-show-taxonomy-relation wopgld-checkbox" value="<?php
            if ( isset( $wopgld_option[ 'wopgld_show_taxonomy_query' ] ) ) {
                echo esc_attr( $wopgld_option[ 'wopgld_show_taxonomy_query' ] );
            } else {
                echo '0';
            }
            ?>" name="wopgld_option[wopgld_show_taxonomy_query]" <?php if ( isset( $wopgld_option[ 'wopgld_show_taxonomy_query' ] ) && $wopgld_option[ 'wopgld_show_taxonomy_query' ] == '1' ) { ?>checked="checked"<?php } ?>/>
            <div class="wopgld-slider round"></div>
        </label>
        <p class="description"> <?php _e( 'Enable to show product associated with certain taxonomy/category.', WOPGLD_TD ) ?></p>
    </div>
</div>
<div class="wopgld-taxonomy-main-wrap"
<?php if ( isset( $wopgld_option[ 'wopgld_show_taxonomy_query' ] ) && $wopgld_option[ 'wopgld_show_taxonomy_query' ] == '1' ) { ?>
         style="display: block;" <?php } else {
    ?>
         style="display: none;" <?php } ?>>
    <div class="wopgld-post-option-wrap">
        <label><?php _e( 'Taxonomy/Category Queries Type', WOPGLD_TD ); ?></label>
        <div class="wopgld-tooltip-icon">
            <span class="dashicons dashicons-info"></span>
            <span class="wopgld-tooltip-info"><?php _e( 'Choose Simple Taxonomy/Category Query to display products from a single taxonomy or category with single term.For example display products tagged with bob, under people custom taxonomy.Choose Multiple Taxonomy/Category Handling to display products from several custom taxonomies or categories.', WOPGLD_TD ); ?></span>
        </div>
        <div class="wopgld-post-field-wrap">
            <div class="wopgld-info-wrap">
                <select name="wopgld_option[taxonomy_queries_type]" class="wopgld-taxonomy-queries-type">
                    <option value="simple-taxonomy"  <?php if ( isset( $wopgld_option[ 'taxonomy_queries_type' ] ) && $wopgld_option[ 'taxonomy_queries_type' ] == 'simple-taxonomy' ) echo 'selected=="selected"'; ?>><?php _e( 'Simple Taxonomy/Category Query', WOPGLD_TD ) ?></option>
                    <option value="multiple-taxonomy"  <?php if ( isset( $wopgld_option[ 'taxonomy_queries_type' ] ) && $wopgld_option[ 'taxonomy_queries_type' ] == 'multiple-taxonomy' ) echo 'selected=="selected"'; ?>><?php _e( 'Multiple Taxonomy/Category Handling', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
    </div>
    <div class="wopgld-post-option-wrap">
        <label><?php _e( 'Taxonomy/Category', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <select name="wopgld_option[select_post_taxonomy]" class="wopgld-select-taxonomy">
                <option value="select" <?php if ( isset( $wopgld_option[ 'select_post_taxonomy' ] ) && $wopgld_option[ 'select_post_taxonomy' ] == 'select' ) echo 'selected=="selected"'; ?>><?php echo _e( 'Choose Taxonomy', WOPGLD_TD ); ?></option>
                <?php
                $product_post_type = 'product';
                $taxonomies = get_object_taxonomies( $product_post_type, 'objects' );
                foreach ( $taxonomies as $tax ) {
                    $value = $tax -> name;
                    $label = $tax -> label;
                    ?>
                    <option value="<?php echo $value; ?>" <?php if ( isset( $wopgld_option[ 'select_post_taxonomy' ] ) && $wopgld_option[ 'select_post_taxonomy' ] == $value ) echo 'selected=="selected"'; ?>><?php echo $label; ?></option>
                    <?php
                }
                ?>
            </select>
            <div class="wopgld-loader-preview" style="display:none;">
                <img src="<?php echo WOPGLD_IMG_DIR . '/ajax-loader-add.gif' ?>">
            </div>
        </div>
    </div>
    <div class="wopgld-simple-terms-wrap" style="display: none;">
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Term', WOPGLD_TD ); ?></label>
            <div class="wopgld-tooltip-icon">
                <span class="dashicons dashicons-info"></span>
                <span class="wopgld-tooltip-info"><?php _e( 'Terms refers to the items in a taxonomy.
For example, a website has categories books, politics, and blogging in it. While category itself is a taxonomy the items inside it are called terms.', WOPGLD_TD ); ?></span>
            </div>
            <div class="wopgld-post-field-wrap">
                <div class="wopgld-info-wrap">
                    <select name="wopgld_option[simple_taxonomy_terms]" class="wopgld-simple-taxonomy-term">
                        <option value=""><?php echo _e( 'Choose Term', WOPGLD_TD ); ?></option>
                        <?php
                        if ( ! empty( $wopgld_option[ 'simple_taxonomy_terms' ] ) ) {
                            echo $this -> wopgld_fetch_category_list( $wopgld_option[ 'select_post_taxonomy' ], $wopgld_option[ 'simple_taxonomy_terms' ] );
                        }
                        ?>
                    </select>
                    <p class="description"><?php _e( 'Please select taxonomy first.', WOPGLD_TD ); ?></p>
                    <div class="wopgld-taxonomy-preview" style="display:none;">
                        <img src="<?php echo WOPGLD_IMG_DIR . '/ajax-loader-add.gif' ?>">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="wopgld-multiple-terms-wrap" style= "display: none;">
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Terms', WOPGLD_TD );
                        ?></label>
            <div class="wopgld-tooltip-icon">
                <span class="dashicons dashicons-info"></span>
                <span class="wopgld-tooltip-info"><?php _e( 'Terms refers to the items in a taxonomy.
For example, a website has categories books, politics, and blogging in it. While category itself is a taxonomy the items inside it are called terms.', WOPGLD_TD ); ?></span>
            </div>
            <div class ="wopgld-post-field-wrap">
                <div class="wopgld-info-wrap wopgld-multiple-select">
                    <select name="wopgld_option[taxonomy_terms][]" multiple="multiple" class="wopgld-multiple-taxonomy-term">
                        <option value=""><?php echo _e( 'Choose Terms', WOPGLD_TD ); ?></option>
                        <?php
                        if ( isset( $wopgld_option[ 'taxonomy_terms' ] ) ) {
                            echo $this -> wopgld_fetch_category_list( $wopgld_option[ 'select_post_taxonomy' ], $wopgld_option[ 'taxonomy_terms' ] );
                        }
                        ?>
                    </select>
                    <p class="description"><?php _e( 'Please select taxonomy first.', WOPGLD_TD ); ?></p>
                </div>

            </div>
        </div>
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Relation', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_multiple_tax_relation]" class="wopgld-multiple-tax-relation">
                    <option value="AND"  <?php if ( isset( $wopgld_option[ 'wopgld_multiple_tax_relation' ] ) && $wopgld_option[ 'wopgld_multiple_tax_relation' ] == 'AND' ) echo 'selected=="selected"'; ?>><?php _e( 'AND', WOPGLD_TD ) ?></option>
                    <option value="OR"  <?php if ( isset( $wopgld_option[ 'wopgld_multiple_tax_relation' ] ) && $wopgld_option[ 'wopgld_multiple_tax_relation' ] == 'OR' ) echo 'selected=="selected"'; ?>><?php _e( 'OR', WOPGLD_TD ) ?></option>
                </select>
            </div>
        </div>
        <div class="wopgld-tax-inner-wrap">
            <?php
            if ( isset( $wopgld_option[ 'wopgld_blog' ] ) && is_array( $wopgld_option[ 'wopgld_blog' ] ) ) {
                $wopgld_blog_count = count( $wopgld_option[ 'wopgld_blog' ] );
            } else {
                $wopgld_blog_count = 0;
            }
            if ( $wopgld_blog_count > 0 ) {

                foreach ( $wopgld_option[ 'wopgld_blog' ] as $blog_key => $blog_detail ) {
                    include(WOPGLD_PATH . 'inc/admin/forms/term-list.php');
                }
            }
            ?>
        </div>
        <div class="wopgld-taxonomy-button">
            <input type="button" class="button-primary wopgld-add-tax-condition" value="<?php _e( 'Add New Taxonomy Condition', WOPGLD_TD ); ?>">
        </div>
    </div>
</div>