<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
$wopgld_common_settings = get_option( 'wopgld_common_settings' );
//$this -> print_array( $wopgld_common_settings );
?>  <div class='wopgld-message-display-area'>
<?php if ( isset( $_GET[ 'message' ] ) && $_GET[ 'message' ] == '1' ) { ?>
        <div class="notice notice-success is-dismissible">
            <p><strong><?php _e( 'Settings saved successfully.', WOPGLD_TD ); ?></strong></p>
            <button type="button" class="notice-dismiss">
                <span class="screen-reader-text"><?php _e( 'Dismiss this notice.', WOPGLD_TD ); ?></span>
            </button>
        </div>
    <?php } ?>
</div>

<div class="wopgld-about-main-wrapper">
    <div class="wopgld-header">
        <div>
            <div id="wopgld-fb-root"></div>
            <script>(function(d, s, id) {
                    var js, fjs = d.getElementsByTagName(s)[0];
                    if (d.getElementById(id))
                        return;
                    js = d.createElement(s);
                    js.id = id;
                    js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.4";
                    fjs.parentNode.insertBefore(js, fjs);
                }(document, 'script', 'facebook-jssdk'));</script>
            <script>!function(d, s, id) {
                    var js, fjs = d.getElementsByTagName(s)[0], p = /^http:/.test(d.location) ? 'http' : 'https';
                    if (!d.getElementById(id)) {
                        js = d.createElement(s);
                        js.id = id;
                        js.src = p + '://platform.twitter.com/widgets.js';
                        fjs.parentNode.insertBefore(js, fjs);
                    }
                }(document, 'script', 'twitter-wjs');</script>
        </div>
        <div class="wopgld-header-section">
            <div class="wopgld-header-left">
                <div class="wopgld-title"><?php _e( 'WOO Product grid/List Design', WOPGLD_TD ); ?></div>
                <div class="wopgld-version-wrap">
                    <span>Version <?php echo WOPGLD_VERSION; ?></span>
                </div>
            </div>

            <div class="wopgld-header-social-link">
                <p class="wopgld-follow-us"><?php _e( 'Follow us for new updates', WOPGLD_TD ); ?></p>
                <div class="fb-like" data-href="https://www.facebook.com/accesspressthemes" data-layout="button" data-action="like" data-show-faces="true" data-share="false"></div>
                <a href="https://twitter.com/accesspressthemes" class="twitter-follow-button" data-show-count="false">Follow @accesspressthemes</a>
            </div>
        </div>
    </div>

    <div class="wopgld-how-to-use-container">
        <div class="wopgld-column-one-wrap">
            <div class="wopgld-panel-body">
                <div class="wopgld-row">
                    <div class="wopgld-col-three-third">
                        <form method="post" id="wopgld-save-form" action="<?php echo admin_url( 'admin-post.php' ); ?>"  >
                            <input type="hidden" name="action" value="wopgld_settings_save"/>
                            <h3><?php _e( 'Settings', WOPGLD_TD ); ?></h3>
                            <div class="wopgld-setting-wrapper">
                                <div class ="wopgld-post-option-wrap">
                                    <label for="wopgld-shop-check" class="wopgld-shop-view">
                                        <?php _e( 'Override Woocommerce Shop Page', WOPGLD_TD ); ?>
                                    </label>
                                    <div class="wopgld-post-field-wrap">
                                        <label class="wopgld-switch">
                                            <input type="checkbox" class="wopgld-ovveride-shop wopgld-checkbox" value="<?php
                                            if ( isset( $wopgld_common_settings[ 'overide_shop' ] ) ) {
                                                echo esc_attr( $wopgld_common_settings[ 'overide_shop' ] );
                                            } else {
                                                echo '0';
                                            }
                                            ?>" name="wopgld_common_settings[overide_shop]" <?php if ( isset( $wopgld_common_settings[ 'overide_shop' ] ) && $wopgld_common_settings[ 'overide_shop' ] == '1' ) { ?>checked="checked"<?php } ?> />
                                            <div class="wopgld-slider round"></div>
                                        </label>
                                        <p class="description"><?php _e( 'Enable to override the woocommerce shop/archive page with woo product grid/list shortcode', WOPGLD_TD ) ?></p>
                                    </div>
                                </div>
                                <div class="wopgld-post-option-wrap">
                                    <label><?php _e( 'Select Product Grid/List Design', WOPGLD_TD ); ?></label>
                                    <div class="wopgld-post-field-wrap">
                                        <select name="wopgld_common_settings[insert_shortcode]" class="wopgld-insert-shortcode">


                                            <?php
                                            $args = array(
                                                'post_type' => 'woo_product_design',
                                                'post_status' => 'publish',
                                                'posts_per_page' => -1
                                            );
                                            $posts = get_posts( $args );
                                            if ( ! empty( $posts ) ) {
                                                foreach ( $posts as $post ) {
                                                    ?>
                                                    <option value="<?php echo $post -> ID; ?>"  <?php if ( isset( $wopgld_common_settings[ 'insert_shortcode' ] ) && $wopgld_common_settings[ 'insert_shortcode' ] == $post -> ID ) { ?>selected="selected"<?php } ?>><?php echo $post -> post_title; ?></option>
                                                    <?php
                                                }
                                            }$post
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="wopgld-save-buton">
                                    <?php wp_nonce_field( 'wopgld_form_nonce', 'wopgld_form_nonce_field' ); ?>
                                    <a class="button button-primary button-large" href="javascript:;" onclick="document.getElementById('wopgld-save-form').submit();"><span><?php _e( 'Save', WOPGLD_TD ); ?></span></a>
                                </div>
                            </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</div>