<div class="wopgld-filter-setting-wrap">
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-enable-filter" class="wopgld-enable-filter">
            <?php _e( 'Enable Filter', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-display-filter wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_display_filter' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_display_filter' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_display_filter]" <?php if ( isset( $wopgld_option[ 'wopgld_display_filter' ] ) && $wopgld_option[ 'wopgld_display_filter' ] == '1' ) { ?>checked="checked"<?php } ?>/>
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"> <?php _e( 'Enable to show filter on grid layout.', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-filter-enable-wrap" <?php if ( isset( $wopgld_option[ 'wopgld_display_filter' ] ) && $wopgld_option[ 'wopgld_display_filter' ] == '1' ) { ?>
             style="display: block;" <?php } else {
                    ?>
             style="display: none;" <?php } ?>>
        <div class ="wopgld-post-option-wrap">
            <label for="all-items-label" class="wopgld-all-items"><?php _e( 'All Items Label', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <input type="text" class="wopgld-all-items-label" placeholder="All" name="wopgld_option[wopgld_all_items_label]" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_all_items_label' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_all_items_label' ] );
                }
                ?>">
            </div>
        </div>
        <div class="wopgld-post-option-wrap">
            <label><?php _e( 'Taxonomy/Category', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[select_filter_taxonomy]" class="wopgld-filter-taxonomy">
                    <option value="" <?php if ( isset( $wopgld_option[ 'select_filter_taxonomy' ] ) && $wopgld_option[ 'select_filter_taxonomy' ] == '' ) echo 'selected=="selected"'; ?>><?php echo _e( 'Choose Taxonomy', WOPGLD_TD ); ?></option>
                    <?php
                    $product_post_type = 'product';
                    $taxonomies = get_object_taxonomies( $product_post_type, 'objects' );
                    foreach ( $taxonomies as $tax ) {
                        $value = $tax -> name;
                        $label = $tax -> label;
                        ?>
                        <option value="<?php echo $value;
                        ?>" <?php if ( isset( $wopgld_option[ 'select_filter_taxonomy' ] ) && $wopgld_option[ 'select_filter_taxonomy' ] == $value ) echo 'selected=="selected"'; ?>><?php echo $label; ?></option>
                                <?php
                            }
                            ?>
                </select>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Terms Type', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <label><input type="radio" value="all" name="wopgld_option[filter_terms_type]" <?php
                    if ( isset( $wopgld_option[ 'filter_terms_type' ] ) ) {
                        checked( $wopgld_option[ 'filter_terms_type' ], 'all' );
                    }
                    ?> class="wopgld-filter-terms-type"/><?php _e( "All", WOPGLD_TD ); ?></label>
                <label><input type="radio" value="specific" name="wopgld_option[filter_terms_type]" <?php
                    if ( isset( $wopgld_option[ 'filter_terms_type' ] ) ) {
                        checked( $wopgld_option[ 'filter_terms_type' ], 'specific' );
                    }
                    ?>  class="wopgld-filter-terms-type"/><?php _e( 'Specific', WOPGLD_TD ); ?></label>
                <div class="wopgld-specific-wrap" <?php if ( isset( $wopgld_option[ 'filter_terms_type' ] ) && $wopgld_option[ 'filter_terms_type' ] == 'specific' ) { ?> style="display:block;" <?php } else {
                        ?>
                         style = "display:none;"
                         <?php
                     }
                     ?>>
                         <?php
                         global $form;
                         if ( ! empty( $wopgld_option[ 'select_filter_taxonomy' ] ) ) {
                             $select_taxonomy = $wopgld_option[ 'select_filter_taxonomy' ];

                             $field_title = 'wopgld_option[filter]';
                             $terms = get_terms( $select_taxonomy, array( 'hide_empty' => 0 ) );
                             $categoryHierarchy = array();
                             $this -> wopgld_sort_terms_hierarchicaly( $terms, $categoryHierarchy );
                             $form .= '<div class="wopgld-checkbox-wrap">';
                             if ( ! empty( $wopgld_option[ 'filter' ] ) ) {
                                 $selected_term = $wopgld_option[ 'filter' ];
                                 if ( count( $categoryHierarchy ) > 0 ) {
                                     $form .= $this -> wopgld_print_checkbox( $categoryHierarchy, '', $field_title, $selected_term );
                                 }
                             } else {
                                 $form .= $this -> wopgld_print_checkbox( $categoryHierarchy, '', $field_title );
                             }

                             $form .= '</div>';
                             echo $form;
                         }
                         ?>
                </div>
            </div>
        </div>
        <div class ="wopgld-post-option-wrap">
            <label><?php _e( 'Filter Template', WOPGLD_TD ); ?></label>
            <div class="wopgld-post-field-wrap">
                <select name="wopgld_option[wopgld_filter_template]" class="wopgld-filter-template">
                    <?php
                    $wopgld_filter_names = array( 'Dusky template', 'Borderline template', 'Baguette template', 'Underline template', 'Tablet template' );
                    $fil = 1;
                    foreach ( $wopgld_filter_names as $wopgld_filter_name ) {
                        ?>
                        <option value="template-<?php echo $fil; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_filter_template' ] ) ) selected( $wopgld_option[ 'wopgld_filter_template' ], 'template-' . $fil ); ?>><?php echo $wopgld_filter_name; ?></option>
                        <?php
                        $fil ++;
                    }
                    ?>    </select>
                <div class="wopgld-filter-demo wopgld-preview-image">
                    <?php
                    for ( $cnt = 1; $cnt <= 5; $cnt ++ ) {
                        if ( isset( $wopgld_option[ 'wopgld_filter_template' ] ) ) {
                            $option_value = $wopgld_option[ 'wopgld_filter_template' ];
                            $exploed_array = explode( '-', $option_value );
                            $cnt_num = $exploed_array[ 1 ];
                            if ( $cnt != $cnt_num ) {
                                $style = "style='display:none;'";
                            } else {
                                $style = '';
                            }
                        }
                        ?>
                        <div class="wopgld-filter-common" id="wopgld-filter-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
                            <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
                            <img src=" <?php echo WOPGLD_IMG_DIR . '/demo/filter-templates/template-' . $cnt . '.png' ?>"/>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</div>