<div class="wopgld-general-outer-wrap">
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-title-view-check" class="wopgld-title-view">
            <?php _e( 'Display Product Title', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-title wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_title' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_title' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_title]" <?php if ( isset( $wopgld_option[ 'wopgld_show_title' ] ) && $wopgld_option[ 'wopgld_show_title' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show title', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-post-option-wrap">
        <label for="wopgld-content-view-check" class="wopgld-content-view">
            <?php _e( 'Display Product Excerpt', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-content wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_content' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_content' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_content]" <?php if ( isset( $wopgld_option[ 'wopgld_show_content' ] ) && $wopgld_option[ 'wopgld_show_content' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show content', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-product-desc-wrapper" <?php if ( isset( $wopgld_option[ 'wopgld_show_content' ] ) && $wopgld_option[ 'wopgld_show_content' ] == '1' ) {
                    ?>
             style="display:block;"
             <?php
         } else {
             ?>
             style="display:none;"
             <?php
         }
         ?>>
        <div class ="wopgld-post-option-wrap">
            <div class="wopgld-post-field-wrap">
<!--                <label><input type="radio" value="full-text" name="wopgld_option[post_content]" <?php
                // if ( isset( $wopgld_option[ 'post_content' ] ) ) {
                //   checked( $wopgld_option[ 'post_content' ], 'full-text' );
                // }
                ?> class="wopgld-post-content"/><?php //_e( "Post Content", WOPGLD_TD ); ?></label>
                <label><input type="radio" value="excerpt" name="wopgld_option[post_content]" <?php
                // if ( isset( $wopgld_option[ 'post_content' ] ) ) {
                //    checked( $wopgld_option[ 'post_content' ], 'excerpt' );
                //  }
                ?>  class="wopgld-post-content"/><?php //_e( 'Excerpt Content', WOPGLD_TD ); ?></label>-->
                <div class="wopgld-excerpt-wrap">
                    <input type="number" class="wopgld-post-excerpt" min="10" name="wopgld_option[wopgld_post_excerpt]"  value="<?php
                    if ( isset( $wopgld_option[ 'wopgld_post_excerpt' ] ) ) {
                        echo $wopgld_option[ 'wopgld_post_excerpt' ];
                    } else {
                        echo '15';
                    }
                    ?>"/>
                    <p class="description"><?php _e( 'Enter the length of post content', WOPGLD_TD ) ?></p>
                </div>
            </div>
        </div>
    </div>

    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-category-view-check" class="wopgld-category-view">
            <?php _e( 'Display Post Category/Taxonomy', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-category wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_category' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_category]" <?php if ( isset( $wopgld_option[ 'wopgld_show_category' ] ) && $wopgld_option[ 'wopgld_show_category' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show category', WOPGLD_TD ) ?></p>
        </div>
    </div>

    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-link-title" class="wopgld-link-title">
            <?php _e( 'Display Product Link in Title', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-link-title wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_link_title' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_link_title' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_link_title]" <?php if ( isset( $wopgld_option[ 'wopgld_show_link_title' ] ) && $wopgld_option[ 'wopgld_show_link_title' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show product link in title', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class ="wopgld-post-option-wrap">
        <label for="wopgld-link-image" class="wopgld-link-image">
            <?php _e( 'Display Product Link in Image', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <label class="wopgld-switch">
                <input type="checkbox" class="wopgld-show-link-image wopgld-checkbox" value="<?php
                if ( isset( $wopgld_option[ 'wopgld_show_link_image' ] ) ) {
                    echo esc_attr( $wopgld_option[ 'wopgld_show_link_image' ] );
                } else {
                    echo '0';
                }
                ?>" name="wopgld_option[wopgld_show_link_image]" <?php if ( isset( $wopgld_option[ 'wopgld_show_link_image' ] ) && $wopgld_option[ 'wopgld_show_link_image' ] == '1' ) { ?>checked="checked"<?php } ?> />
                <div class="wopgld-slider round"></div>
            </label>
            <p class="description"><?php _e( 'Enable to show product link in image', WOPGLD_TD ) ?></p>
        </div>
    </div>
    <div class="wopgld-post-option-wrap">
        <label><?php _e( 'Image Size', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <select name="wopgld_option[wopgld_image_size]" class="wopgld-select-image-size">
                <option value="full"  <?php if ( isset( $wopgld_option[ 'wopgld_image_size' ] ) && $wopgld_option[ 'wopgld_image_size' ] == 'full' ) echo 'selected=="selected"'; ?>><?php _e( 'Original', WOPGLD_TD ) ?></option>
                <option value="large"  <?php if ( isset( $wopgld_option[ 'wopgld_image_size' ] ) && $wopgld_option[ 'wopgld_image_size' ] == 'large' ) echo 'selected=="selected"'; ?>><?php _e( 'Large', WOPGLD_TD ) ?></option>
                <option value="medium"  <?php if ( isset( $wopgld_option[ 'wopgld_image_size' ] ) && $wopgld_option[ 'wopgld_image_size' ] == 'medium' ) echo 'selected=="selected"'; ?>><?php _e( 'Medium', WOPGLD_TD ) ?></option>
                <option value="thumbnail"  <?php if ( isset( $wopgld_option[ 'wopgld_image_size' ] ) && $wopgld_option[ 'wopgld_image_size' ] == 'thumbnail' ) echo 'selected=="selected"'; ?>><?php _e( 'Thumbnail', WOPGLD_TD ) ?></option>
            </select>
        </div>
    </div>
    <div class="wopgld-post-option-wrap">
        <label><?php _e( 'Image Type', WOPGLD_TD ); ?></label>
        <div class="wopgld-post-field-wrap">
            <select name="wopgld_option[wopgld_image_type]" class="wopgld-select-image-type">
                <option value="normal"  <?php if ( isset( $wopgld_option[ 'wopgld_image_type' ] ) && $wopgld_option[ 'wopgld_image_type' ] == 'normal' ) echo 'selected=="selected"'; ?>><?php _e( 'Normal', WOPGLD_TD ) ?></option>
                <option value="swap"  <?php if ( isset( $wopgld_option[ 'wopgld_image_type' ] ) && $wopgld_option[ 'wopgld_image_type' ] == 'swap' ) echo 'selected=="selected"'; ?>><?php _e( 'Swap', WOPGLD_TD ) ?></option>
                <option value="scroll"  <?php if ( isset( $wopgld_option[ 'wopgld_image_type' ] ) && $wopgld_option[ 'wopgld_image_type' ] == 'scroll' ) echo 'selected=="selected"'; ?>><?php _e( 'Scroll', WOPGLD_TD ) ?></option>
            </select>
            <p class="description"><?php _e( 'Note: This field is not applicable for slider layouts.', WOPGLD_TD ) ?></p>

        </div>
        <div class="wopgld-tooltip-icon">
            <span class="dashicons dashicons-info"></span>
            <span class="wopgld-tooltip-info"><?php _e( 'If swap has been selected then please upload swap on hover image in required post.If scroll has been selected then please upload image of larger height.', WOPGLD_TD ); ?></span>
        </div>
    </div>
</div>