<div class="wopgld-post-option-wrap">
    <label for="wopgld-lightbox" class="wopgld-lightbox">
        <?php _e( 'Display Lightbox', WOPGLD_TD ); ?>
    </label>
    <div class="wopgld-post-field-wrap">
        <label class="wopgld-switch">
            <input type="checkbox" class="wopgld-show-lightbox wopgld-checkbox" value="<?php
            if ( isset( $wopgld_option[ 'wopgld_show_lightbox' ] ) ) {
                echo esc_attr( $wopgld_option[ 'wopgld_show_lightbox' ] );
            } else {
                echo '0';
            }
            ?>" name="wopgld_option[wopgld_show_lightbox]" <?php if ( isset( $wopgld_option[ 'wopgld_show_lightbox' ] ) && $wopgld_option[ 'wopgld_show_lightbox' ] == '1' ) { ?>checked="checked"<?php } ?> />
            <div class="wopgld-slider round"></div>
        </label>
        <p class="description"><?php _e( 'Enable to show full content of product in lightbox', WOPGLD_TD ) ?></p>
    </div>
</div>
<div class="wopgld-lightbox-wrap">
    <div class="wopgld-post-option-wrap">
        <label for="wopgld-lightbox-label" class="wopgld-lightbox">
            <?php _e( 'Lightbox Label', WOPGLD_TD ); ?>
        </label>
        <div class="wopgld-post-field-wrap">
            <input type="text" class="wopgld-lightbox-label" name="wopgld_option[wopgld_lightbox_label]"  value="<?php
            if ( isset( $wopgld_option[ 'wopgld_lightbox_label' ] ) ) {
                echo esc_attr( $wopgld_option[ 'wopgld_lightbox_label' ] );
            }
            ?>"/>
            <p class="description"><?php _e( 'This is used as label to show lightbox quick view', WOPGLD_TD ) ?></p>
        </div>
    </div>
</div>
<div class ="wopgld-post-option-wrap">
    <label><?php _e( 'Lightbox Template', WOPGLD_TD ); ?></label>
    <div class="wopgld-post-field-wrap">
        <select name="wopgld_option[wopgld_lightbox_template]" class="wopgld-lightbox-template">
            <?php
            $wopgld_lightbox_names = array( 'Ebony template', 'Verdant template', 'Mandarin template', 'Sapphirine template' );
            $lb = 1;
            foreach ( $wopgld_lightbox_names as $wopgld_lightbox_name ) {
                ?>
                <option value="template-<?php echo $lb; ?>" <?php if ( ! empty( $wopgld_option[ 'wopgld_lightbox_template' ] ) ) selected( $wopgld_option[ 'wopgld_lightbox_template' ], 'template-' . $lb ); ?>><?php echo $wopgld_lightbox_name; ?></option>
                <?php
                $lb ++;
            }
            ?>
        </select>

    </div>
</div>
<div class="wopgld-lightbox-demo wopgld-preview-image">
    <?php
    for ( $cnt = 1; $cnt <= 4; $cnt ++ ) {
        if ( isset( $wopgld_option[ 'wopgld_lightbox_template' ] ) ) {
            $option_value = $wopgld_option[ 'wopgld_lightbox_template' ];
            $exploed_array = explode( '-', $option_value );
            $cnt_num = $exploed_array[ 1 ];
            if ( $cnt != $cnt_num ) {
                $style = "style='display:none;'";
            } else {
                $style = '';
            }
        }
        ?>
        <div class="wopgld-lightbox-common" id="wopgld-lightbox-demo-<?php echo $cnt; ?>" <?php if ( isset( $style ) ) echo $style; ?>>
            <h4><?php _e( 'Template', WOPGLD_TD ); ?> <?php echo $cnt; ?> <?php _e( 'Preview', WOPGLD_TD ); ?></h4>
            <img src="<?php echo WOPGLD_IMG_DIR . '/demo/lightbox-templates/template-' . $cnt . '.png' ?>"/>
        </div>
    <?php } ?>
</div>
