<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
global $post;
$post_id = $post -> ID;
$wopgld_option = get_post_meta( $post_id, 'wopgld_option', true );
//$this -> print_array( $wopgld_option );
?>
<div class="wopgld-backend-outer-wrap">
    <div class="wopgld-menu-wrapper">
        <ul class="wopgld-menu-tab">
            <li data-menu="post-settings" class="wopgld-tab-tigger wopgld-active">
                <span class="dashicons dashicons-welcome-write-blog"></span>
                <?php _e( 'Post Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="layout-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-layout"></span>
                <?php _e( 'Layout Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="general-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-admin-generic"></span>
                <?php _e( 'General Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="product-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-products"></span>
                <?php _e( 'Product Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="ribbon-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-awards"></span>
                <?php _e( 'Ribbon/Banner Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="pagination-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-editor-ol"></span>
                <?php _e( 'Pagination Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="social-share-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-share"></span>
                <?php _e( 'Social Share Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="filter-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-filter"></span>
                <?php _e( 'Filter Settings', WOPGLD_TD ); ?>
            </li>
            <li data-menu="lightbox-settings" class="wopgld-tab-tigger">
                <span class="dashicons dashicons-search"></span>
                <?php _e( 'Lightbox Settings', WOPGLD_TD ); ?>
            </li>
        </ul>
    </div>
    <div class ="wopgld-settings-wrap wopgld-active-container" data-menu-ref="post-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-post.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="layout-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-layout.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="general-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-general.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="product-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-product.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="ribbon-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-banner.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="pagination-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-pagination.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="social-share-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-social.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="filter-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-filter.php'); ?>
    </div>
    <div class ="wopgld-settings-wrap" data-menu-ref="lightbox-settings">
        <?php include(WOPGLD_PATH . 'inc/admin/settings/wopgld-lightbox.php'); ?>
    </div>
</div>
