<?php
$image = isset( $wopgld_option[ 'wopgld_image_size' ] ) ? esc_attr( $wopgld_option[ 'wopgld_image_size' ] ) : 'full';
$image_type = isset( $wopgld_option[ 'wopgld_image_type' ] ) ? esc_attr( $wopgld_option[ 'wopgld_image_type' ] ) : 'normal';
$thumbnail_url = get_the_post_thumbnail_url( $product_item_id, $image );
?>
<div class="wopgld-image">
    <?php
    if ( $image_type == 'normal' || $image_type == 'scroll' ) {
        if ( has_post_thumbnail( $product_item_id ) ) {
            if ( isset( $wopgld_option[ 'wopgld_show_link_image' ] ) && $wopgld_option[ 'wopgld_show_link_image' ] == '1' ) {
                ?>
                <a href="<?php echo get_permalink( $product_item_id ); ?>" target="_blank">
                    <img src="<?php echo $thumbnail_url; ?>">
                </a>
                <?php
            } else {
                ?>
                <img src="<?php echo $thumbnail_url; ?>">
                <?php
            }
        }
    } else {
        //  if ( $wopgld_option[ 'wopgld_select_layout' ] == 'grid' || $wopgld_option[ 'wopgld_select_layout' ] == 'list' || $wopgld_option[ 'wopgld_select_layout' ] == 'masonry'  ) {
        if ( has_post_thumbnail( $product_item_id ) ) {
            if ( isset( $wopgld_advance_option[ 'swap_image_url' ] ) && $wopgld_advance_option[ 'swap_image_url' ] != '' ) {
                // $url = get_the_post_thumbnail_url( $product_item_id, $image );
                $bottom_image_url = $wopgld_advance_option[ 'swap_image_url' ];
                $bottom_image_id = $this -> wopgld_get_image_id( $bottom_image_url );
                $bottom_image_link = wp_get_attachment_url( $bottom_image_id, $image );
                ?>
                <img class="wopgld-bottom-image" src="<?php echo esc_url( $bottom_image_link ); ?>" />
                <img class="wopgld-top-image" src="<?php echo esc_url( $thumbnail_url ); ?>" />
                <?php
            } else {
                if ( isset( $wopgld_option[ 'wopgld_show_link_image' ] ) && $wopgld_option[ 'wopgld_show_link_image' ] == '1' ) {
                    ?>
                    <a href="<?php echo get_permalink( $product_item_id ); ?>" target="_blank">
                        <img src="<?php echo $thumbnail_url; ?>">
                    </a>
                    <?php
                } else {
                    ?>
                    <img src="<?php echo $thumbnail_url; ?>">
                    <?php
                }
            }
        }
        // }
        else {
            if ( has_post_thumbnail( $product_item_id ) ) {
                if ( isset( $wopgld_option[ 'wopgld_show_link_image' ] ) && $wopgld_option[ 'wopgld_show_link_image' ] == '1' ) {
                    ?>
                    <a href="<?php echo get_permalink( $product_item_id ); ?>" target="_blank">
                        <img src="<?php echo $thumbnail_url; ?>">
                    </a>
                    <?php
                } else {
                    ?>
                    <img src="<?php echo $thumbnail_url; ?>">
                    <?php
                }
            }
        }
    }
    ?>
</div>


