<?php
defined( 'ABSPATH' ) or die( "No script kiddies please!" );
$wopgld_mobile_detector = new WOPGLD_Mobile_Detect();
$post_id = $atts[ 'id' ];
//global $post;
$wopgld_option = get_post_meta( $post_id, 'wopgld_option', true );
$class_layout = 'wopgld-layout-' . $wopgld_option[ 'wopgld_select_layout' ] . '-section';
$random_num = rand( 111111111, 999999999 );
if ( isset( $wopgld_option[ 'wopgld_select_layout' ] ) && $wopgld_option[ 'wopgld_select_layout' ] == 'list' ) {
    if ( isset( $wopgld_option[ 'list_image_position' ] ) && $wopgld_option[ 'list_image_position' ] == 'left' ) {
        $wopgld_layout_class = 'wopgld-list-' . $wopgld_option[ 'wopgld_list_template' ] . ' wopgld-list wopgld-left-image';
    } else {
        $wopgld_layout_class = 'wopgld-list-' . $wopgld_option[ 'wopgld_list_template' ] . ' wopgld-list wopgld-right-image';
    }
}
/*
 * Grid Layout
 */ else {

    //  global $wopgld_mobile_detector;
    $desktop = esc_attr( $wopgld_option[ 'desktop_column' ] );
    $mobile = esc_attr( $wopgld_option[ 'mobile_column' ] );
    $tablet = esc_attr( $wopgld_option[ 'tablet_column' ] );
    if ( $wopgld_mobile_detector -> isMobile() && ! $wopgld_mobile_detector -> isTablet() ) {
        $wopgld_layout_class = 'wopgld-grid-' . $wopgld_option[ 'wopgld_grid_template' ] . ' wopgld-grid' . ' wopgld-mobile-col-' . $mobile;
    } else if ( $wopgld_mobile_detector -> isTablet() ) {
        $wopgld_layout_class = 'wopgld-grid-' . $wopgld_option[ 'wopgld_grid_template' ] . ' wopgld-grid' . ' wopgld-tablet-col-' . $tablet;
    } else {
        $wopgld_layout_class = 'wopgld-grid-' . $wopgld_option[ 'wopgld_grid_template' ] . ' wopgld-grid' . ' wopgld-desktop-col-' . $desktop;
    }
}
//else if ( isset( $wopgld_option[ 'wopgld_select_layout' ] ) && $wopgld_option[ 'wopgld_select_layout' ] == 'masonry' ) {
//    $wopgld_layout_class = 'wopgld-masonry-wrapper' . ' wopgld-masonry-' . $wopgld_option[ 'wopgld_masonry_template' ];
//}
//Frame Images Layout
//else {
//
//    //  global $wopgld_mobile_detector;
//    $desktop = esc_attr( $wopgld_option[ 'desktop_column' ] );
//    $mobile = esc_attr( $wopgld_option[ 'mobile_column' ] );
//    $tablet = esc_attr( $wopgld_option[ 'tablet_column' ] );
//    if ( $wopgld_mobile_detector -> isMobile() && ! $wopgld_mobile_detector -> isTablet() ) {
//        $wopgld_layout_class = 'wopgld-frame-' . $wopgld_option[ 'wopgld_frame_template' ] . ' wopgld-frame' . ' wopgld-mobile-col-' . $mobile;
//    } else if ( $wopgld_mobile_detector -> isTablet() ) {
//        $wopgld_layout_class = 'wopgld-frame-' . $wopgld_option[ 'wopgld_frame_template' ] . ' wopgld-frame' . ' wopgld-tablet-col-' . $tablet;
//    } else {
//        $wopgld_layout_class = 'wopgld-frame-' . $wopgld_option[ 'wopgld_frame_template' ] . ' wopgld-frame' . ' wopgld-desktop-col-' . $desktop;
//    }
//}
if ( isset( $wopgld_option[ 'wopgld_image_type' ] ) && $wopgld_option[ 'wopgld_image_type' ] == 'scroll' ) {
    $image_hover = ' wopgld-scroll-wrapper';
} else if ( isset( $wopgld_option[ 'wopgld_image_type' ] ) && $wopgld_option[ 'wopgld_image_type' ] == 'swap' ) {
    $image_hover = ' wopgld-swap-container';
}
?>
<div class="<?php
//if ( (isset( $wopgld_option[ 'product_type' ] ) && $wopgld_option[ 'product_type' ] == 'product') && class_exists( 'WooCommerce' ) ) {
if ( class_exists( 'WooCommerce' ) ) {
    echo 'woocommerce';
}
?> wopgld-product-outer-wrapper-<?php echo $random_num; ?> <?php
     if ( $wopgld_option[ 'wopgld_select_pagination' ] == 'infinite_scroll' ) {
         echo 'wopgld-infinite-scroll-wrapper';
     }
     ?> wopgld-main-product-wrapper <?php echo esc_attr( $wopgld_layout_class ); ?> <?php
     if ( (isset( $wopgld_option[ 'wopgld_show_button_one' ] ) && $wopgld_option[ 'wopgld_show_button_one' ] == '1') && $wopgld_option[ 'wopgld_show_button_two' ] != '1' ) {
         echo 'wopgld-only-one-button';
     }
     if ( (isset( $wopgld_option[ 'wopgld_show_button_two' ] ) && $wopgld_option[ 'wopgld_show_button_two' ] == '1') && $wopgld_option[ 'wopgld_show_button_one' ] != '1' ) {
         echo 'wopgld-only-one-button';
     }
     if ( (isset( $wopgld_option[ 'wopgld_show_wishlist' ] ) && $wopgld_option[ 'wopgld_show_wishlist' ] == '1') && $wopgld_option[ 'wopgld_show_lightbox' ] != '1' ) {
         echo ' wopgld-secondary-only';
     }
     if ( (isset( $wopgld_option[ 'wopgld_show_lightbox' ] ) && $wopgld_option[ 'wopgld_show_lightbox' ] == '1') && $wopgld_option[ 'wopgld_show_wishlist' ] != '1' ) {
         echo ' wopgld-secondary-only';
     }
     echo $image_hover;
     ?>" data-id="wopgld_<?php
     echo rand( 1111111, 9999999 );
     ?>" <?php if ( isset( $wopgld_option[ 'wopgld_show_lightbox' ] ) && $wopgld_option[ 'wopgld_show_lightbox' ] == '1' ) {
         ?>
         data-layout="<?php echo $wopgld_option[ 'wopgld_select_layout' ]; ?>"
     <?php }
     ?>>
         <?php
         //Filter tabs
         if ( $wopgld_option[ 'wopgld_select_layout' ] == 'grid' ) {

             if ( isset( $wopgld_option[ 'wopgld_display_filter' ] ) && $wopgld_option[ 'wopgld_display_filter' ] == '1' ) {
                 include(WOPGLD_PATH . 'inc/frontend/wopgld-filter-collect.php');
             }
         }
         //if ( $wopgld_option[ 'wopgld_select_layout' ] == 'grid' || $wopgld_option[ 'wopgld_select_layout' ] == 'list' || $wopgld_option[ 'wopgld_select_layout' ] == 'masonry' ) {
         ?>
    <div class="<?php echo esc_attr( $class_layout ); ?> wopgld-clearfix">
        <?php
        // }

        if ( isset( $wopgld_option[ 'wopgld_post_excerpt' ] ) ) {
            $excerpt = $wopgld_option[ 'wopgld_post_excerpt' ];
        }
        if ( isset( $wopgld_option[ 'wopgld_post_number' ] ) ) {
            $post_number = $wopgld_option[ 'wopgld_post_number' ];
        } else {
            $post_number = 20;
        }
        if ( isset( $wopgld_option[ 'wopgld_select_order' ] ) ) {
            $order = $wopgld_option[ 'wopgld_select_order' ];
        } else {
            $order = 'DESC';
        }
        if ( isset( $wopgld_option[ 'wopgld_select_orderby' ] ) ) {
            $order_by = $wopgld_option[ 'wopgld_select_orderby' ];
        } else {
            $order_by = 'date';
        }
        if ( isset( $wopgld_option[ 'wopgld_select_post_status' ] ) ) {
            $status = $wopgld_option[ 'wopgld_select_post_status' ];
        } else {
            $status = 'publish';
        }
        if ( isset( $wopgld_option[ 'wopgld_date_format_post' ] ) ) {
            $date_format = $wopgld_option[ 'wopgld_date_format_post' ];
        }
        $post_type = 'product';

        /*
         * Condition for taxonomy
         */
        if ( isset( $wopgld_option[ 'wopgld_show_taxonomy_query' ] ) && $wopgld_option[ 'wopgld_show_taxonomy_query' ] == '1' ) {
            $tax = $wopgld_option[ 'select_post_taxonomy' ];
            if ( $wopgld_option[ 'taxonomy_queries_type' ] == 'simple-taxonomy' ) {
                if ( $wopgld_option[ 'simple_taxonomy_terms' ] == '' ) {
                    $terms = get_terms( $tax, array( 'hide_empty' => false ) );
                    $term_ids = wp_list_pluck( $terms, 'term_id' );
                    $id = implode( ", ", array_keys( $term_ids ) );
                    $tax_query = array( array(
                            'taxonomy' => $tax,
                            'field' => 'term_id',
                            'terms' => array( $id )
                        ), );
                } else {
                    $simple_term = $wopgld_option[ 'simple_taxonomy_terms' ];
                    $tax_query = array( array(
                            'taxonomy' => $tax,
                            'field' => 'term_id',
                            'terms' => $simple_term
                        ), );
                }
            }
            /*
             * multiple taxonomy tax query
             */ else {
                $relation = $wopgld_option[ 'wopgld_multiple_tax_relation' ];
                $first_term_array = $wopgld_option[ 'taxonomy_terms' ];
                $first_term_list = substr( implode( ", ", $first_term_array ), 0 );
                $blog_array = array( 'relation' => $relation );
                $blog_array[] = array(
                    'taxonomy' => $tax,
                    'field' => 'term_id',
                    'terms' => array( $first_term_list ),
                );
                if ( ! empty( $wopgld_option[ 'wopgld_blog' ] ) ) {
                    foreach ( $wopgld_option[ 'wopgld_blog' ] as $blog_key => $blog_detail ) {
                        $tax = $wopgld_option[ 'wopgld_blog' ][ $blog_key ][ 'multiple_post_taxonomy' ];
                        $operator = $wopgld_option[ 'wopgld_blog' ][ $blog_key ][ 'wopgld_terms_operator' ];
                        $term = $wopgld_option[ 'wopgld_blog' ][ $blog_key ][ 'multiple_taxonomy_terms' ];
                        $term_collection = substr( implode( ", ", $term ), 0 );
                        if ( isset( $wopgld_option[ 'wopgld_blog' ][ $blog_key ][ 'wopgld_enable_operator' ] ) && $wopgld_option[ 'wopgld_blog' ][ $blog_key ][ 'wopgld_enable_operator' ] == '1' ) {
                            $blog_array[] = array(
                                'taxonomy' => $tax,
                                'field' => 'term_id',
                                'terms' => array( $term_collection ),
                                'operator' => $operator,
                            );
                        } else {
                            $blog_array[] = array(
                                'taxonomy' => $tax,
                                'field' => 'term_id',
                                'terms' => array( $term_collection ),
                            );
                        }
                    }
                }

                $tax_query[] = $blog_array;
            }
        }

        /*
         * Condition for custom field
         */
        if ( isset( $wopgld_option[ 'wopgld_show_custom_query' ] ) && $wopgld_option[ 'wopgld_show_custom_query' ] == '1' ) {
            if ( $wopgld_option[ 'meta_keys_type' ] == 'pre-available' ) {
                $meta_key = $wopgld_option[ 'pre_meta_key' ];
            } else {
                $meta_key = $wopgld_option[ 'wopgld_other_meta_key' ];
            }
            if ( $wopgld_option[ 'wopgld_meta_value_type' ] == 'string' ) {
                $meta_value = $wopgld_option[ 'wopgld_meta_value' ];
            } else {
                $meta_value = $wopgld_option[ 'wopgld_meta_value_number' ];
            }
            $compare = $wopgld_option[ 'wopgld_compare_operator' ];
            if ( $wopgld_option[ 'wopgld_custom_field_type' ] == 'single_field' ) {
                $meta_value = $wopgld_option[ 'wopgld_meta_value_type' ];
                $meta_query = array(
                    array(
                        'key' => $meta_key,
                        'value' => $meta_value,
                        'compare' => $compare,
                    ),
                );
            }
            /*
             * Multiple field
             */ else {
                $meta_array = array();
                $meta_array[] = array(
                    'key' => $meta_key,
                    'value' => $meta_value,
                    'compare' => $compare,
                );
                foreach ( $wopgld_option[ 'wopgld_custom' ] as $custom_key => $custom_detail ) {
                    if ( $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'multiple_meta_key_type' ] == 'pre-available' ) {
                        $multi_meta_key = $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_pre_multiple_meta_key' ];
                    } else {
                        $multi_meta_key = $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_multiple_other_key' ];
                    }
                    $multi_meta_value = $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_multiple_meta_value' ];
                    $multi_compare = $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_compare_operator' ];
                    $multi_type = $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_field_compare_type' ];
                    if ( isset( $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_show_type_filter' ] ) && $wopgld_option[ 'wopgld_custom' ][ $custom_key ][ 'wopgld_show_type_filter' ] == '1' ) {
                        $meta_array[] = array(
                            'key' => $multi_meta_key,
                            'value' => $multi_meta_value,
                            'type' => $multi_type,
                            'compare' => $multi_compare,
                        );
                    } else {
                        $meta_array[] = array(
                            'key' => $multi_meta_key,
                            'value' => $multi_meta_value,
                            'compare' => $multi_compare,
                        );
                    }
                }
                $meta_query[] = $meta_array;
            }
        }
        /*
         * Condition for search keyword
         */
        if ( isset( $wopgld_option[ 'wopgld_show_keyword_query' ] ) && $wopgld_option[ 'wopgld_show_keyword_query' ] == '1' ) {

            if ( ! empty( $wopgld_option[ 'wopgld_search_keyword' ] ) ) {
                $keyword = $wopgld_option[ 'wopgld_search_keyword' ];
            }
        }
        /*
         * Condition for popular post
         */
        if ( isset( $wopgld_option[ 'wopgld_show_popular_query' ] ) && $wopgld_option[ 'wopgld_show_popular_query' ] == '1' ) {
            if ( $wopgld_option[ 'wopgld_select_popular' ] == 'view' ) {
                $view_meta = 'post_views_count';
            }
        }
        $args = array(
            'post_type' => $post_type,
            'order' => $order,
            'orderby' => $order_by,
            'posts_per_page' => $post_number,
            'post_status' => $status
        );
        if ( ! empty( $tax_query ) ) {
            $args[ 'tax_query' ] = $tax_query;
        }
        if ( ! empty( $keyword ) ) {
            $args[ 's' ] = $keyword;
        }
        if ( ! empty( $meta_query ) ) {
            $args[ 'meta_query' ] = $meta_query;
        }
        if ( ! empty( $view_meta ) ) {
            $args[ 'meta_key' ] = $view_meta;
        }
        //  $this -> print_array( $args );
        include(WOPGLD_PATH . 'inc/frontend/wopgld-template.php');
        ?>
    </div>
    <?php
    include(WOPGLD_PATH . 'inc/frontend/wopgld-pagination.php');
    ?>
</div>



